#!/bin/bash
# Copyright (C) 2007-2009 Timesys Corporation

# This script checks that all of the URLs in the current .config file match
# the default name pattern.  This is necessary so that src/dl/ directory
# can be used as a local mirror of the source repository.

for i in `find target/software/ -name *.mk | xargs -I{} -n1 basename {} .mk | sort`; do 

  ACTUAL="`grep TSWO_${i}_URL .config`"; 
  EXPECTED=TSWO_${i}_URL=\"\$\(TSWO_GLOBAL_SOURCE_LOCATION\)/`echo ${i} | cut -c 1 | tr [A-Z] [a-z]`/${i}/${i}-\$\(TSWO_${i}_VERSION\)/\"; 
  if [ -z "${ACTUAL}" ]; then
    echo ${i}: not in config.;
  elif [ "${ACTUAL}" != "${EXPECTED}" ]; then 
    echo ${i}: ${EXPECTED} != ${ACTUAL}; 
  fi ; 
done
