#!/bin/bash
# Copyright (C) 2007-2009 Timesys Corporation

# fixes up all of the libtool archives and pkg-config scripts after
# moving a toolchain to a new location

if [ -z "${1}" ]; then
  echo "Usage: $0 <toolchain_archive.tar.gz>"
  exit 1
fi
if [ ! '(' -d target -a -d toolchain -a -f ./bin/$(basename $0) ')' ]; then
  echo $(basename $0)
  echo "Must run this script in base directory of build"
  exit 1
fi

if [ ! -e .config ]; then
  echo "No .config file is present.  Must have a valid config before running this script."
  exit 1
fi

build_dir=build_`make showtarget`
tc_dir=${build_dir}/toolchain

if [ -d "${tc_dir}" ]; then
  echo "Cannot overwrite existing toolchain in ${tc_dir}.  Delete toolchain before running this script."
  exit 1
fi

echo "Extracting ${1} to ${tc_dir}" &&
mkdir -p "${tc_dir}" &&
tar -xzf ${1} -C ${tc_dir} &&
echo "Relocating toolchain paths" &&
( find ${build_dir}/toolchain -name "*.la" -o -name "*-config" -o -name "*.pc" | xargs sed -i "s@\([^/ ]*\)/[^ ]*/${build_dir}@\1`pwd`/${build_dir}@g" ) &&
echo "done."

  
