#!/bin/bash
# Copyright (C) 2007-2009 Timesys Corporation

if [ ! -d build_* -o ! -e build_*/toolchain-initial-*.tgz ]; then
    if [ ! -d build_* ]; then
        echo "Error: No build directory to reset."
    fi
    if [ ! -e build_*/toolchain-initial-*.tgz ]; then
        echo "Error: No toolchain from which to reset to."
    fi

    echo ""
    echo "$0"
    echo ""
    echo "Resets the build environment back to a pristine toolchain"
    echo "that does not contain any additional package libraries"
    echo "and includes.  Only useful after make toolchain has completed."
    exit 1
fi


echo "cleaning package directories..."
for pkgdir in $(find build_*/ -mindepth 1 -maxdepth 1 -type d | egrep -v 'gcc|cygwin|kernel|linux-2|kernel-headers|fake|mtd-utils|squashfs|cramfs|tsrpm|u-boot|opxml|toolchain|binutils|ccache|gdb-|genext2fs|intltool|glibc|uClibc|pkgconfig|packages|images|oprofile|gmp|mpfr'); do rm -rf $pkgdir;done

# misc stuff that is not covered above
rm -rf build_*/gmp-*/.stamp_*host_installed
rm -rf build_*/mpfr-*/.stamp_*host_installed
rm -rf build_*/binutils-*/.stamp_libbfd*
rm -rf build_*/binutils-*/.stamp_libiberty*
rm -rf build_*/binutils-*/libbfd_host_build
rm -rf build_*/binutils-*/libiberty_host_build
rm -rf build_*/libfakekey-*/
rm -rf build_*/util-linux-*/
rm -rf build_*/packages/* 
find build_*/fake/{lib,bin}/ ! -name '*fake*' ! -type d -exec rm -f {} \;
rm -rf build_*/fake/{include,share}
rm -rf build_*/toolchain-final-*.tgz


echo "resetting toolchain"
(cd build_*/toolchain && rm -rf * && tar xzf ../toolchain-initial-*.tgz)

echo "distcleaning RFS"
make rfs-distclean

echo "Done."

