# Copyright (C) 2007-2009 Timesys Corporation
# apex make rules

# Define common macros for this apex from include/common.mk
$(eval $(call COMMON_SETUP,apex))


$(apex_SRC_DL_DIR)/apex_config:
	$(call PRINT_INFO,fetching apex configuration)
	$(call FETCH_REMOTE,$(apex_SRC_DL_DIR),$(TSWO_apex_CONFIG))
	if [ ! -f $@ ]; then cp -f $(apex_SRC_DL_DIR)/$(notdir $(call UNQUOTE_VAR,$(TSWO_apex_CONFIG))) $@;fi

apex-menuconfig: apex-patch $(apex_SRC_DL_DIR)/apex_config
	cd $(apex_DDIR) && \
		if [ -f $(apex_SRC_DL_DIR)/apex_config ]; then cp -f $(apex_SRC_DL_DIR)/apex_config .config;fi && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		CROSS_COMPILE=$(TSWO_FULL_TARGET_NAME)- \
		$(MAKE) menuconfig && \
		if [ -f .config ]; then cp -f .config $(apex_SRC_DL_DIR)/apex_config; rm -f $(apex_DIR)/.stamp_configured;fi

$(BUILD_DIR)/apex-$(apex_VERSION)/apex-$(apex_VERSION)/.config: $(apex_SRC_DL_DIR)/apex_config
	cp -f $(apex_SRC_DL_DIR)/apex_config $(@D)/.config


$(BUILD_DIR)/apex-$(apex_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring apex)
	cd $(apex_DDIR) && \
		yes '' | \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		CROSS_COMPILE=$(TSWO_FULL_TARGET_NAME)- \
		$(MAKE) oldconfig
	@touch $(@)

$(BUILD_DIR)/apex-$(apex_VERSION)/.stamp_built:
	$(call PRINT_INFO,building apex)
	cd $(apex_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(MAKE) \
		$(apex_BUILD_OPTIONS) \
		HOSTSTRIP=/usr/bin/strip \
		CROSS_COMPILE=$(TSWO_FULL_TARGET_NAME)-
	cd $(apex_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(MAKE) \
		$(apex_BUILD_OPTIONS) \
		HOSTSTRIP=/usr/bin/strip \
		CROSS_COMPILE=$(TSWO_FULL_TARGET_NAME)- \
		tools
	@touch $@

$(BUILD_DIR)/apex-$(apex_VERSION)/.stamp_images_installed:
	@mkdir -p $(IMAGES_DIR)/bootloader/
	cp -f $(apex_DDIR)/apex.bin $(IMAGES_DIR)/bootloader/
	@touch $@

$(BUILD_DIR)/apex-$(apex_VERSION)/.stamp_host_installed: $(BUILD_DIR)/apex-$(apex_VERSION)/.stamp_images_installed
	@touch $@
$(BUILD_DIR)/apex-$(apex_VERSION)/.stamp_rfs_installed: $(BUILD_DIR)/apex-$(apex_VERSION)/.stamp_images_installed
	@touch $@
$(BUILD_DIR)/apex-$(apex_VERSION)/.stamp_packaged: $(BUILD_DIR)/apex-$(apex_VERSION)/.stamp_images_installed
	cp -f $(apex_DDIR)/apex.bin $(apex_PKG_INSTALL_DIR)
	@touch $@
$(BUILD_DIR)/apex-$(apex_VERSION)/.stamp_checked:
	@touch $@

apex-fetch: $(apex_SRC_DL_DIR)/apex_config
apex-patch: $(BUILD_DIR)/apex-$(apex_VERSION)/apex-$(apex_VERSION)/.config

# add to packages list
ifeq (y,$(TSWO_BOOTLOADER_apex))
SOFTWARE+=apex
endif

# vim:set noexpandtab: 
