# Copyright (C) 2007-2009 Timesys Corporation
# at91bootstrap make rules

# Define common macros for this at91bootstrap from include/common.mk
$(eval $(call COMMON_SETUP,at91bootstrap))

AT91BOOTSTRAP_BOARDDIR=$(at91bootstrap_DDIR)/board/$(TSWO_AT91BOOTSTRAP_BOARDNAME)/$(TSWO_AT91BOOTSTRAP_FLASHTYPE)/

$(BUILD_DIR)/at91bootstrap-$(at91bootstrap_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/at91bootstrap-$(at91bootstrap_VERSION)/.stamp_built:
	$(call PRINT_INFO,building at91bootstrap)
	cd $(AT91BOOTSTRAP_BOARDDIR) && \
		PATH=$(BUILD_PATH) \
		$(MAKE) \
		$(at91bootstrap_BUILD_OPTIONS) \
		HOSTSTRIP=/usr/bin/strip \
		CROSS_COMPILE=$(TSWO_FULL_TARGET_NAME)-
	@touch $@

$(BUILD_DIR)/at91bootstrap-$(at91bootstrap_VERSION)/.stamp_images_installed:
	@mkdir -p $(IMAGES_DIR)/bootloader/
	cp -f $(AT91BOOTSTRAP_BOARDDIR)/$(TSWO_AT91BOOTSTRAP_FLASHTYPE)_$(TSWO_AT91BOOTSTRAP_BOARDNAME){.bin,.map,.elf} $(IMAGES_DIR)/bootloader/
	@touch $@

$(BUILD_DIR)/at91bootstrap-$(at91bootstrap_VERSION)/.stamp_host_installed: $(BUILD_DIR)/at91bootstrap-$(at91bootstrap_VERSION)/.stamp_images_installed
	@touch $@
$(BUILD_DIR)/at91bootstrap-$(at91bootstrap_VERSION)/.stamp_rfs_installed: $(BUILD_DIR)/at91bootstrap-$(at91bootstrap_VERSION)/.stamp_images_installed
	@touch $@
$(BUILD_DIR)/at91bootstrap-$(at91bootstrap_VERSION)/.stamp_packaged: $(BUILD_DIR)/at91bootstrap-$(at91bootstrap_VERSION)/.stamp_images_installed
	cp -f $(AT91BOOTSTRAP_BOARDDIR)/$(TSWO_AT91BOOTSTRAP_FLASHTYPE)_$(TSWO_AT91BOOTSTRAP_BOARDNAME){.bin,.map,.elf} $(at91bootstrap_PKG_INSTALL_DIR)
	@touch $@
$(BUILD_DIR)/at91bootstrap-$(at91bootstrap_VERSION)/.stamp_checked:
	@touch $@

# add to packages list
ifeq (y,$(TSWO_BOOTLOADER_at91bootstrap))
SOFTWARE+=at91bootstrap
endif

# vim:set noexpandtab: 
