# Copyright (C) 2007-2009 Timesys Corporation
# x-loader make rules

# Define common macros for this x-loader from include/common.mk
$(eval $(call COMMON_SETUP,x-loader))


$(BUILD_DIR)/x-loader-$(x-loader_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring x-loader $(TSWO_x-loader_CONFIGTARGET))
ifneq ("",$(strip $(TSWO_x-loader_CONFIGFILE)))
	$(call FETCH_REMOTE,$(x-loader_SRC_DL_DIR),$(TSWO_x-loader_CONFIGFILE))
	cp -f $(x-loader_SRC_DL_DIR)/$(notdir $(TSWO_x-loader_CONFIGFILE)) $(x-loader_DDIR)/include/configs/$(TSWO_x-loader_CONFIGTARGET).h
endif
	cd $(x-loader_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(MAKE) \
		$(x-loader_BUILD_OPTIONS) \
		$(TSWO_x-loader_CONFIGTARGET)_config
	@touch $@

$(BUILD_DIR)/x-loader-$(x-loader_VERSION)/.stamp_built:
	$(call PRINT_INFO,building x-loader)
	cd $(x-loader_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(MAKE) \
		$(x-loader_BUILD_OPTIONS) \
		HOSTSTRIP=/usr/bin/strip \
		CROSS_COMPILE=$(TSWO_FULL_TARGET_NAME)-
	cd $(x-loader_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(MAKE) \
		$(x-loader_BUILD_OPTIONS) \
		HOSTSTRIP=/usr/bin/strip \
		CROSS_COMPILE=$(TSWO_FULL_TARGET_NAME)- \
		tools
	@touch $@


$(BUILD_DIR)/x-loader-$(x-loader_VERSION)/.stamp_images_installed:
	@mkdir -p $(IMAGES_DIR)/bootloader/
	cp -f $(x-loader_DDIR)/x-load{.bin*,,.map} $(IMAGES_DIR)/bootloader/
	@touch $@

$(BUILD_DIR)/x-loader-$(x-loader_VERSION)/.stamp_rfs_installed: $(BUILD_DIR)/x-loader-$(x-loader_VERSION)/.stamp_images_installed
	@touch $@

$(BUILD_DIR)/x-loader-$(x-loader_VERSION)/.stamp_packaged: $(BUILD_DIR)/x-loader-$(x-loader_VERSION)/.stamp_images_installed
	cp -f $(x-loader_DDIR)/x-load{.bin*,,.map} $(x-loader_PKG_INSTALL_DIR)
	@touch $@
$(BUILD_DIR)/x-loader-$(x-loader_VERSION)/.stamp_checked:
	@touch $@


# add to packages list
ifeq (y,$(TSWO_BOOTLOADER_x-loader))
SOFTWARE+=x-loader
endif

# vim:set noexpandtab: 
