# Copyright (C) 2007-2009 Timesys Corporation
# early-init rules

# Define common macros for early-init from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,early-init))


# add to software list
ifeq (y,$(TSWO_EARLY_USERSPACE_early-init))
EARLY_USERSPACE+=early-init
endif

$(BUILD_DIR)/early-init-$(early-init_VERSION)/.stamp_unpacked: 
	@mkdir -p $(@D)
	@touch $@

$(BUILD_DIR)/early-init-$(early-init_VERSION)/.stamp_configured: 
	@touch $@

$(BUILD_DIR)/early-init-$(early-init_VERSION)/.stamp_built:
	@touch $@

$(BUILD_DIR)/early-init-$(early-init_VERSION)/.stamp_rfs_installed:
	$(call INSTALL_EARLY_USERSPACE,file,/init,$(early-init_SRC_DL_DIR)/$(TSWO_early-init_SOURCE),755,0,0)
ifdef early-init_FILES
	$(call REGISTER_EARLY_USERSPACE,dir,/etc,0755,0,0)
	$(call REGISTER_EARLY_USERSPACE,dir,/etc/init.d,0755,0,0)
	$(foreach file,$(early-init_FILES),$(call INSTALL_EARLY_USERSPACE,file,/etc/init.d/$(notdir $(file)),$(early-init_SRC_DL_DIR)/$(file),0755,0,0))
endif

# vim:set noexpandtab filetype=make: 
