# Copyright (C) 2007-2009 Timesys Corporation
# ext2 RFS image make rules

.PHONY: rfs-image-ext2

#TSWO_RFS_FS_ext2_BLOCKS=542960
#TSWO_RFS_FS_ext2_BYTESPERINODE=0
#TSWO_RFS_FS_ext2_INODES=0

rfs-image-ext2: $(BUILD_DIR)/.rfs.sh
	$(call PRINT_INFO,creating ext2 RFS image)
	@mkdir -p $(IMAGES_DIR)/rfs
	@PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) /bin/bash -c "/bin/bash $(BUILD_DIR)/.rfs.sh; \
			genext2fs $(TSWO_RFS_FS_ext2_OPTIONS) -b $(TSWO_RFS_FS_ext2_BLOCKS) \
				-i $(TSWO_RFS_FS_ext2_BYTESPERINODE) \
				-N $(TSWO_RFS_FS_ext2_INODES) \
				-d $(TSWO_RFS_INSTALL_DIR) \
				$(IMAGES_DIR)/rfs/rootfs.ext2"
	@gzip -9 -f $(IMAGES_DIR)/rfs/rootfs.ext2

# add to RFS_IMAGES list
ifeq (y,$(TSWO_RFS_FS_ext2))
RFS_IMAGES+=ext2
endif


# vim:set noexpandtab: 
