# Copyright (C) 2007-2009 Timesys Corporation
# makedevs rules


MAKEDEVS_DIR=$(BUILD_DIR)/makedevs

$(MAKEDEVS_DIR)/makedevs.c:
	$(call PRINT_INFO,copying makedevs source file)
	@rm -rf $(MAKEDEVS_DIR)
	@mkdir $(MAKEDEVS_DIR)
	@cp -f $(BASE_DIR)/target/rfs/makedevs/makedevs.c $(MAKEDEVS_DIR)

$(MAKEDEVS_DIR)/makedevs: $(MAKEDEVS_DIR)/makedevs.c
	$(call PRINT_INFO,building makedevs)
	@$(HOSTCC) -Wall -Werror -O2 $(MAKEDEVS_DIR)/makedevs.c -o $(MAKEDEVS_DIR)/makedevs
	@touch -c $(MAKEDEVS_DIR)/makedevs

$(MAKEDEVS_DIR)/.stamp_host_installed: $(MAKEDEVS_DIR)/makedevs
	$(call PRINT_INFO,installing makedevs to host)
	$(INSTALL) -m 755 $(MAKEDEVS_DIR)/makedevs $(TSWO_HOST_INSTALL_DIR)/bin/makedevs
	@touch $@

makedevs-host-install: $(MAKEDEVS_DIR)/.stamp_host_installed

makedevs: makedevs-host-install

makedevs-clean:
	$(call PRINT_INFO,cleaning makedevs build directory)
	-@rm -rf $(MAKEDEVS_DIR)

makedevs-distclean: makedevs-clean
	$(call PRINT_INFO,dist cleaning makedevs)
	-@rm -f $(MAKEDEVS_DIR)/makedevs.c


# vim:set noexpandtab: 
