# Copyright (C) 2007-2009 Timesys Corporation
# squashfs RFS image make rules

.PHONY: rfs-image-squashfs


# only need the endian options for 3.x series
ifneq (,$(filter 3.%,$(TSWO_squashfs_VERSION)))
ifeq ($(TSWO_BIG_ENDIAN),y)
SQUASHFS_ENDIANNESS=-be
else
SQUASHFS_ENDIANNESS=-le
endif
endif

rfs-image-squashfs: $(BUILD_DIR)/.rfs.sh
	$(call PRINT_INFO,creating squashfs RFS image)
	@mkdir -p $(IMAGES_DIR)/rfs
	if [ -f $(IMAGES_DIR)/rfs/rootfs.squashfs ]; then rm -f $(IMAGES_DIR)/rfs/rootfs.squashfs;fi
	@PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) /bin/bash -c "/bin/bash $(BUILD_DIR)/.rfs.sh; \
			mksquashfs $(TSWO_RFS_INSTALL_DIR) \
				$(IMAGES_DIR)/rfs/rootfs.squashfs \
				$(SQUASHFS_ENDIANNESS) \
				$(TSWO_RFS_FS_squashfs_OPTIONS)"

# add to RFS_IMAGES list
ifeq (y,$(TSWO_RFS_FS_squashfs))
RFS_IMAGES+=squashfs
endif


# vim:set noexpandtab: 
