# Copyright (C) 2007-2010 Timesys Corporation
# edje rules

# Define common macros for edje from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,edje))

ifeq (y, $(strip $(TSWO_LIBC_UCLIBC)))
edje_CONFIGURE_OPTIONS+=LIBS=-liconv
endif

EDJE_HOST_INSTALL_DIR=$(BUILD_DIR)/edje-$(edje_VERSION)/edje-host-install
edje-host-build: eina-host-build eet-host-build evas-host-build ecore-host-build embryo-host-build edje-host-install $(BUILD_DIR)/edje-$(edje_VERSION)/.stamp_host_build
$(BUILD_DIR)/edje-$(edje_VERSION)/.stamp_host_build: 
	$(call PRINT_INFO,building edje host copy)
	mkdir -p $(@D)/edje-host-build
	$(INFLATE$(suffix $(edje_SOURCE))) $(edje_SRC_DL_DIR)/$(edje_SOURCE) | \
		$(TAR) -C $(@D)/edje-host-build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(edje_PATCHES),$(call APPLY_PATCH,$(@D)/edje-host-build/$(edje_WORKINGDIR),$(edje_SRC_DL_DIR)/$(patch)))
	cd $(@D)/edje-host-build/$(edje_WORKINGDIR) && \
		PKG_CONFIG_PATH=$(EINA_HOST_INSTALL_DIR)/lib/pkgconfig:$(EET_HOST_INSTALL_DIR)/lib/pkgconfig:$(EVAS_HOST_INSTALL_DIR)/lib/pkgconfig:$(EMBRYO_HOST_INSTALL_DIR)/lib/pkgconfig:$(ECORE_HOST_INSTALL_DIR)/lib/pkgconfig \
		./configure \
			--prefix=$(EDJE_HOST_INSTALL_DIR) && \
		make && \
		make install
	cp -f $(EDJE_HOST_INSTALL_DIR)/bin/{edje_cc,edje_decc,edje_recc,inkscape2edc} $(TSWO_HOST_INSTALL_DIR)/bin/
	@touch $@

$(BUILD_DIR)/edje-$(edje_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{edje_cc,edje_decc,edje_recc,inkscape2edc}
	@touch $@



# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_edje))
SOFTWARE+=edje
endif


# vim:set noexpandtab filetype=make: 
