# Copyright (C) 2007-2010 Timesys Corporation
# embryo rules

# Define common macros for embryo from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,embryo))


EMBRYO_HOST_INSTALL_DIR=$(BUILD_DIR)/embryo-$(embryo_VERSION)/embryo-host-install
embryo-host-build: embryo-host-install $(BUILD_DIR)/embryo-$(embryo_VERSION)/.stamp_host_build
$(BUILD_DIR)/embryo-$(embryo_VERSION)/.stamp_host_build:
	$(call PRINT_INFO,building embryo host copy)
	mkdir -p $(@D)/embryo-host-build
	$(INFLATE$(suffix $(embryo_SOURCE))) $(embryo_SRC_DL_DIR)/$(embryo_SOURCE) | \
		$(TAR) -C $(@D)/embryo-host-build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(embryo_PATCHES),$(call APPLY_PATCH,$(@D)/embryo-host-build/$(embryo_WORKINGDIR),$(embryo_SRC_DL_DIR)/$(patch)))
	cd $(@D)/embryo-host-build/$(embryo_WORKINGDIR) && \
		./configure \
			--prefix=$(EMBRYO_HOST_INSTALL_DIR) && \
		make && \
		make install
	@touch $@

$(BUILD_DIR)/embryo-$(embryo_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/embryo_cc
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_embryo))
SOFTWARE+=embryo
endif


# vim:set noexpandtab filetype=make: 
