# Copyright (C) 2007-2010 Timesys Corporation
# enlightenment rules

# Define common macros for enlightenment from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,enlightenment))

ifeq (y,$(strip $(TSWO_LIBC_UCLIBC)))
enlightenment_CONFIGURE_OPTIONS+=LIBS=-lintl
endif

enlightenment-patch: edje-host-build

enlightenment_BUILD_OPTIONS+=PATH=$(EINA_HOST_INSTALL_DIR)/bin:$(EET_HOST_INSTALL_DIR)/bin:$(EVAS_HOST_INSTALL_DIR)/bin:$(EMBRYO_HOST_INSTALL_DIR)/bin:$(EET_HOST_INSTALL_DIR)/bin:$(BUILD_PATH)
enlightenment_CONFIGURE_OPTIONS+=--with-eet-eet=$(EET_HOST_INSTALL_DIR)/bin/eet

$(BUILD_DIR)/enlightenment-$(enlightenment_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{enlightenment,enlightenment_fm_open,enlightenment_imc,enlightenment_remote,enlightenment_start}
	@touch $@

$(BUILD_DIR)/enlightenment-$(enlightenment_VERSION)/.stamp_init_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/enlightenment-$(enlightenment_VERSION)/.stamp_init_packaged: DESTDIR=$(enlightenment_PKG_INSTALL_DIR)
$(BUILD_DIR)/enlightenment-$(enlightenment_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/enlightenment-$(enlightenment_VERSION)/.stamp_init_rfs_installed
$(BUILD_DIR)/enlightenment-$(enlightenment_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/enlightenment-$(enlightenment_VERSION)/.stamp_init_packaged

$(BUILD_DIR)/enlightenment-$(enlightenment_VERSION)/.stamp_init_rfs_installed $(BUILD_DIR)/enlightenment-$(enlightenment_VERSION)/.stamp_init_packaged:
	$(call PRINT_INFO,performing post install steps for enlightenment)
	mkdir -p $(DESTDIR)/etc/X11/Xsession.d
	-cp -f $(enlightenment_SRC_DL_DIR)/99enlightenment $(DESTDIR)/etc/X11/Xsession.d/
	-chmod +x $(DESTDIR)/etc/X11/Xsession.d/99enlightenment
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_enlightenment))
SOFTWARE+=enlightenment
endif


# vim:set noexpandtab filetype=make: 
