# Copyright (C) 2007-2010 Timesys Corporation
# gpe-beam rules


$(eval $(call COMMON_SETUP,gpe-beam))

$(BUILD_DIR)/gpe-beam-$(gpe-beam_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-beam-$(gpe-beam_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-beam $(gpe-beam_VERSION))
	cd $(gpe-beam_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(gpe-beam_MAKE_CMD) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(gpe-beam_BUILD_OPTIONS)
	@touch $@


$(BUILD_DIR)/gpe-beam-$(gpe-beam_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-beam $(gpe-beam_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-beam_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-beam_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-beam_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-beam-$(gpe-beam_VERSION)/.stamp_packaged:
	cd $(gpe-beam_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-beam_MAKE_CMD) DESTDIR=$(gpe-beam_PKG_INSTALL_DIR) install \
        $(gpe-beam_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-beam))
SOFTWARE+=gpe-beam
endif


# vim:set noexpandtab filetype=make: 
