# Copyright (C) 2007-2010 Timesys Corporation
# gpe-calculator rules


$(eval $(call COMMON_SETUP,gpe-calculator))


$(BUILD_DIR)/gpe-calculator-$(gpe-calculator_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-calculator-$(gpe-calculator_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-calculator $(gpe-calculator_VERSION))
	cd $(gpe-calculator_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-calculator_MAKE_CMD) \
        $(gpe-calculator_BUILD_OPTIONS)
	@touch $@


$(BUILD_DIR)/gpe-calculator-$(gpe-calculator_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-calculator $(gpe-calculator_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-calculator_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-calculator_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-calculator_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-calculator-$(gpe-calculator_VERSION)/.stamp_packaged:
	cd $(gpe-calculator_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-calculator_MAKE_CMD) DESTDIR=$(gpe-calculator_PKG_INSTALL_DIR) install \
        $(gpe-calculator_BUILD_OPTIONS)
	@touch $@



# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-calculator))
SOFTWARE+=gpe-calculator
endif


# vim:set noexpandtab filetype=make: 
