# Copyright (C) 2007-2010 Timesys Corporation
# gpe-icons rules


$(eval $(call COMMON_SETUP,gpe-icons))

$(BUILD_DIR)/gpe-icons-$(gpe-icons_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-icons-$(gpe-icons_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-icons $(gpe-icons_VERSION))
	cd $(gpe-icons_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-icons_MAKE_CMD) \
        $(gpe-icons_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-icons-$(gpe-icons_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-icons $(gpe-icons_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-icons_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-icons_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-icons_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-icons-$(gpe-icons_VERSION)/.stamp_packaged:
	cd $(gpe-icons_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-icons_MAKE_CMD) DESTDIR=$(gpe-icons_PKG_INSTALL_DIR) install \
        $(gpe-icons_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-icons))
SOFTWARE+=gpe-icons
endif


# vim:set noexpandtab filetype=make: 
