# Copyright (C) 2007-2010 Timesys Corporation
# gpe-shield rules


$(eval $(call COMMON_SETUP,gpe-shield))

$(BUILD_DIR)/gpe-shield-$(gpe-shield_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-shield-$(gpe-shield_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-shield $(gpe-shield_VERSION))
	cd $(gpe-shield_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-shield_MAKE_CMD) \
        $(gpe-shield_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-shield-$(gpe-shield_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-shield $(gpe-shield_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	cd $(gpe-shield_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-shield_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-shield_BUILD_OPTIONS)
	mv -f $(TSWO_RFS_INSTALL_DIR)/etc/init.d/ipshield $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S99-ipshield
	@touch $@

$(BUILD_DIR)/gpe-shield-$(gpe-shield_VERSION)/.stamp_packaged:
	mkdir -p $(gpe-shield_PKG_INSTALL_DIR)/etc/init.d
	cd $(gpe-shield_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-shield_MAKE_CMD) DESTDIR=$(gpe-shield_PKG_INSTALL_DIR) install \
        $(gpe-shield_BUILD_OPTIONS)
	mv -f $(gpe-shield_PKG_INSTALL_DIR)/etc/init.d/ipshield $(gpe-shield_PKG_INSTALL_DIR)/etc/init.d/S99-ipshield
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-shield))
SOFTWARE+=gpe-shield
endif


# vim:set noexpandtab filetype=make: 
