# Copyright (C) 2007-2010 Timesys Corporation
# gpe-sketchbook rules


$(eval $(call COMMON_SETUP,gpe-sketchbook))

$(BUILD_DIR)/gpe-sketchbook-$(gpe-sketchbook_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-sketchbook-$(gpe-sketchbook_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-sketchbook $(gpe-sketchbook_VERSION))
	cd $(gpe-sketchbook_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-sketchbook_MAKE_CMD) \
        $(gpe-sketchbook_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-sketchbook-$(gpe-sketchbook_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-sketchbook $(gpe-sketchbook_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-sketchbook_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-sketchbook_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-sketchbook_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-sketchbook-$(gpe-sketchbook_VERSION)/.stamp_packaged:
	cd $(gpe-sketchbook_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-sketchbook_MAKE_CMD) DESTDIR=$(gpe-sketchbook_PKG_INSTALL_DIR) install \
        $(gpe-sketchbook_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-sketchbook))
SOFTWARE+=gpe-sketchbook
endif


# vim:set noexpandtab filetype=make: 
