# Copyright (C) 2007-2010 Timesys Corporation
# hildon-theme-tools rules

# Define common macros for hildon-theme-tools from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,hildon-theme-tools))


$(BUILD_DIR)/hildon-theme-tools-$(hildon-theme-tools_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/hildon-theme-tools-$(hildon-theme-tools_VERSION)/.stamp_built:
	@touch $@

$(BUILD_DIR)/hildon-theme-tools-$(hildon-theme-tools_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing hildon-theme-tools $(hildon-theme-tools_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(hildon-theme-tools_DDIR) && \
		NOCONFIGURE=1 ./autogen.sh
	cd $(hildon-theme-tools_DDIR) && \
		./configure --prefix=$(TSWO_HOST_INSTALL_DIR)
	cd $(hildon-theme-tools_DDIR) && \
		$(MAKE)
	cd $(hildon-theme-tools_DDIR) && \
		$(MAKE) install
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

$(BUILD_DIR)/hildon-theme-tools-$(hildon-theme-tools_VERSION)/.stamp_pre_packaged:
	@touch $@
$(BUILD_DIR)/hildon-theme-tools-$(hildon-theme-tools_VERSION)/.stamp_packaged:
	@touch $@
$(BUILD_DIR)/hildon-theme-tools-$(hildon-theme-tools_VERSION)/.stamp_post_packaged:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_hildon-theme-tools))
SOFTWARE+=hildon-theme-tools
endif


# vim:set noexpandtab filetype=make: 
