# Copyright (C) 2007-2010 Timesys Corporation
# keylaunch rules


$(eval $(call COMMON_SETUP,keylaunch))

$(BUILD_DIR)/keylaunch-$(keylaunch_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/keylaunch-$(keylaunch_VERSION)/.stamp_built:
	$(call PRINT_INFO,building keylaunch $(keylaunch_VERSION))
	cd $(keylaunch_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(keylaunch_MAKE_CMD) \
        $(keylaunch_BUILD_OPTIONS)
	@touch $@


$(BUILD_DIR)/keylaunch-$(keylaunch_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing keylaunch $(keylaunch_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(keylaunch_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(keylaunch_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(keylaunch_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/keylaunch-$(keylaunch_VERSION)/.stamp_packaged:
	cd $(keylaunch_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(keylaunch_MAKE_CMD) DESTDIR=$(keylaunch_PKG_INSTALL_DIR) install \
        $(keylaunch_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_keylaunch))
SOFTWARE+=keylaunch
endif


# vim:set noexpandtab filetype=make: 
