# Copyright (C) 2007-2010 Timesys Corporation
# elfutils rules

# Define common macros for this e2fsprogs from include/common.mk
$(eval $(call COMMON_SETUP,elfutils))

# elfutils replaces binutils utilities, so lets make sure we
# get installed first so that binutils replaces ours
ifeq (y,$(TSWO_SOFTWARE_elfutils))
ifeq (y,$(strip $(TSWO_INSTALL_TOOLCHAIN_TO_TARGET)))
$(BUILD_DIR)/binutils-$(binutils_VERSION)/.stamp_pre_rfs_installed: $(BUILD_DIR)/elfutils-$(elfutils_VERSION)/.stamp_post_rfs_installed
endif
endif

$(BUILD_DIR)/elfutils-$(elfutils_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{readelf,nm,findtextrel,addr2line,objdump,strings,unstrip,elflint,ld,size,ar,ranlib,elfcmp}
	@if [ ! -L $(TSWO_HOST_INSTALL_DIR)/bin/strip ]; then \
		rm -f $(TSWO_HOST_INSTALL_DIR)/bin/strip; \
		(cd $(TSWO_HOST_INSTALL_DIR)/bin && ln -s $(TSWO_FULL_TARGET_NAME)-strip strip); \
	fi
	@touch $@

# XXX need fts.h (provided by glibc)

# add to software list
ifeq (y,$(TSWO_SOFTWARE_elfutils))
SOFTWARE+=elfutils
endif


# vim:set noexpandtab: 
