# Copyright (C) 2007-2009 Timesys Corporation
# gobject-introspection rules

python_VERSION_PARTS=$(subst ., ,$(call UNQUOTE_VAR,$(TSWO_python_VERSION)))
python_SHORT_VERSION=$(word 1,$(python_VERSION_PARTS)).$(word 2,$(python_VERSION_PARTS))

# Define common macros for gobject-introspection from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gobject-introspection))

$(BUILD_DIR)/gobject-introspection-$(gobject-introspection_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gobject-introspection $(gobject-introspection_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gobject-introspection_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gobject-introspection_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
			$(gobject-introspection_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gobject-introspection-$(gobject-introspection_VERSION)/.stamp_packaged:
	cd $(gobject-introspection_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(FAKEROOT_CMD) $(gobject-introspection_MAKE_CMD) DESTDIR=$(gobject-introspection_PKG_INSTALL_DIR) install \
			$(gobject-introspection_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gobject-introspection-$(gobject-introspection_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing gobject-introspection $(gobject-introspection_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(gobject-introspection_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(FAKEROOT_CMD) $(gobject-introspection_MAKE_CMD) DESTDIR=$(TSWO_HOST_INSTALL_DIR) install \
			$(gobject-introspection_BUILD_OPTIONS)
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

$(BUILD_DIR)/gobject-introspection-$(gobject-introspection_VERSION)/.stamp_post_host_installed:
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/bin/g-ir-*
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gobject-introspection))
SOFTWARE+=gobject-introspection
endif


# vim:set noexpandtab filetype=make: 
