# Copyright (C) 2007-2010 Timesys Corporation
# ltrace rules

# Define common macros for this ltrace from include/common.mk
$(eval $(call COMMON_SETUP,ltrace))

ltrace_ARCH:=$(strip $(call UNQUOTE_VAR,$(TSWO_ltrace_ARCH)))

$(BUILD_DIR)/ltrace-$(ltrace_VERSION)/.stamp_built:
	$(call PRINT_INFO,building ltrace $(ltrace_VERSION))
	cd $(ltrace_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(ltrace_MAKE_CMD) \
		$(TARGET_BUILD_OPTIONS) \
		ARCH=$(ltrace_ARCH) OS=linux-gnu
	@touch $@;

$(BUILD_DIR)/ltrace-$(ltrace_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing ltrace $(ltrace_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(ltrace_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		ARCH=$(ltrace_ARCH) OS=linux-gnu \
			$(FAKEROOT_CMD) $(ltrace_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
		ARCH=$(ltrace_ARCH) OS=linux-gnu
	@touch $@

$(BUILD_DIR)/ltrace-$(ltrace_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing ltrace $(ltrace_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(ltrace_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		ARCH=$(ltrace_ARCH) OS=linux-gnu \
		$(FAKEROOT_CMD) $(ltrace_MAKE_CMD) DESTDIR=$(TSWO_HOST_INSTALL_DIR) install \
		ARCH=$(ltrace_ARCH) OS=linux-gnu
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

$(BUILD_DIR)/ltrace-$(ltrace_VERSION)/.stamp_packaged:
	cd $(ltrace_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		ARCH=$(ltrace_ARCH) OS=linux-gnu \
		$(FAKEROOT_CMD) $(ltrace_MAKE_CMD) DESTDIR=$(ltrace_PKG_INSTALL_DIR) install \
		ARCH=$(ltrace_ARCH) OS=linux-gnu
	@touch $@



# add to software list
ifeq (y,$(TSWO_SOFTWARE_ltrace))
SOFTWARE+=ltrace
endif


# vim:set noexpandtab: 
