# Copyright (C) 2007-2010 Timesys Corporation
# ppl rules

# Define common macros for ppl from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,ppl))

ifeq (y,$(strip $(TSWO_gcc_BUILD_CXX)))
ppl_CONFIGURE_OPTIONS+=--with-libgmpxx-prefix=$(TSWO_HOST_INSTALL_DIR)
endif

PPL_HOST_BUILD_DIR=$(ppl_DIR)/ppl-host-build
PPL_HOST_INSTALL_DIR=$(ppl_DIR)/ppl-host-install

$(BUILD_DIR)/ppl-$(ppl_VERSION)/.stamp_toolchain_host_builddir:
	$(call PRINT_INFO,setup ppl host build directory)
	@cp -rf $(ppl_DDIR) $(PPL_HOST_BUILD_DIR)
	-@cd $(PPL_HOST_BUILD_DIR) && $(MAKE) distclean 2>&1 > /dev/null
	@touch $@

$(BUILD_DIR)/ppl-$(ppl_VERSION)/.stamp_toolchain_host_installed: $(BUILD_DIR)/ppl-$(ppl_VERSION)/.stamp_toolchain_host_builddir
	$(call PRINT_INFO,building ppl for host)
	cd $(PPL_HOST_BUILD_DIR) && \
		$(HOST_BUILD_OPTIONS) \
		./configure \
			--prefix=$(PPL_HOST_INSTALL_DIR) \
			--disable-shared \
      --with-libgmp-prefix=$(GMP_HOST_INSTALL_DIR) \
			$(HOST_CONFIGURE_OPTIONS) \
			$(TSWO_HOST_NAME)
	cd $(PPL_HOST_BUILD_DIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(MAKE) install
	@touch $@

ppl-toolchain-host-install: $(FAKEROOT_HOST_INSTALL_TARGET) gmp-toolchain-host-install ppl-patch $(BUILD_DIR)/ppl-$(ppl_VERSION)/.stamp_toolchain_host_installed



# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_ppl))
SOFTWARE+=ppl
endif


# vim:set noexpandtab filetype=make: 
