# Copyright (C) 2007-2010 Timesys Corporation
# protobuf rules

# Define common macros for protobuf from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,protobuf))

protobuf_HOST_DIR=$(protobuf_DIR)/protobuf-$(protobuf_VERSION)-host
protobuf_HOST_DDIR=$(protobuf_HOST_DIR)/$(protobuf_WORKINGDIR)
protobuf_CONFIGURE_OPTIONS+=--with-protoc=$(protobuf_HOST_DDIR)/src/protoc

$(BUILD_DIR)/protobuf-$(protobuf_VERSION)/.stamp_pre_configured:
	mkdir -p $(protobuf_HOST_DIR)
	cd $(protobuf_HOST_DIR) && \
		$(INFLATE$(suffix $(protobuf_SOURCE))) $(protobuf_SRC_DL_DIR)/$(protobuf_SOURCE) | \
			$(TAR) $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(protobuf_PATCHES),$(call APPLY_PATCH,$(protobuf_HOST_DDIR),$(protobuf_SRC_DL_DIR)/$(patch)))
	cd $(protobuf_HOST_DDIR) && \
		./configure && make
	@touch $@

$(BUILD_DIR)/protobuf-$(protobuf_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/protoc
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_protobuf))
SOFTWARE+=protobuf
endif


# vim:set noexpandtab filetype=make: 
