# Copyright (C) 2007-2010 Timesys Corporation
# upp rules

# Define common macros for upp from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,upp))

upp_BUILD_OPTIONS+=HOSTTYPE=LINUX

ifeq (y,$(strip $(TSWO_arm)))
upp_BUILD_OPTIONS+=CXXFLAGS="-DflagARM -DARM"
endif
ifeq (y,$(strip $(TSWO_powerpc)))
upp_BUILD_OPTIONS+=CXXFLAGS="-DflagPOWERPC"
endif


$(BUILD_DIR)/upp-$(upp_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/upp-$(upp_VERSION)/.stamp_built:
	$(call PRINT_INFO,building upp $(upp_VERSION))
	cd $(upp_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(upp_MAKE_CMD) \
		CC=$(TSWO_FULL_TARGET_NAME)-g++ AR="$(TSWO_FULL_TARGET_NAME)-ar -r" LD=$(TSWO_FULL_TARGET_NAME)-ld NM=$(TSWO_FULL_TARGET_NAME)-nm AS=$(TSWO_FULL_TARGET_NAME)-as RANLIB=$(TSWO_FULL_TARGET_NAME)-ranlib STRIP=$(TSWO_FULL_TARGET_NAME)-strip CXX=$(TSWO_FULL_TARGET_NAME)-g++ PKG_CONFIG=$(TSWO_HOST_INSTALL_DIR)/bin/pkg-config \
		LIBPATH=$$(pkg-config --libs-only-L x11 freetype2 gtk+-2.0 glib-2.0 cairo pango atk) \
		CINC=" -Iuppsrc $$(pkg-config --cflags x11 freetype2 gtk+-2.0 glib-2.0 cairo pango atk)" \
        $(upp_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/upp-$(upp_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing upp $(upp_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(upp_DDIR) && \
		PATH=$(BUILD_PATH) \
			$(FAKEROOT_CMD) $(upp_MAKE_CMD) $(upp_BUILD_OPTIONS) PREFIX=/usr DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	@touch $@

#	$(call PRINT_INFO,installing upp $(upp_VERSION) to host)
#	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
#	cd $(upp_DDIR) && \
#		PATH=$(BUILD_PATH) \
#		$(TARGET_ALIASES) \
#        $(upp_BUILD_OPTIONS) \
#		$(FAKEROOT_CMD) $(upp_MAKE_CMD) DESTDIR=$(TSWO_HOST_INSTALL_DIR) install
#	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
#	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
$(BUILD_DIR)/upp-$(upp_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/upp-$(upp_VERSION)/.stamp_packaged:
	cd $(upp_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(upp_MAKE_CMD) $(upp_BUILD_OPTIONS) PREFIX=/usr DESTDIR=$(upp_PKG_INSTALL_DIR) install
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_upp))
SOFTWARE+=upp
endif


# vim:set noexpandtab filetype=make: 
