# Copyright (C) 2007-2010 Timesys Corporation
# Mesa rules


$(eval $(call COMMON_SETUP,Mesa))

# do not do this
#ifeq (7.0.2,$(Mesa_VERSION))
#Mesa_PATCHES+=Mesa-$(TSWO_Mesa_VERSION)-glwpc.patch
#endif

MESA_DEFAULT_DRIVERS=swrast

ifeq (y,$(TSWO_MESA_DRI_RADEONHD))
MESA_ATI_DRIVERS=,radeon,r300,r600
Mesa_CONFIGURE_OPTIONS+=--enable-gallium-radeon
endif
ifeq (y,$(TSWO_MESA_DRI_INTEL))
MESA_INTEL_DRIVERS=,i810,i915,i965
else
Mesa_CONFIGURE_OPTIONS+=--disable-gallium-intel
endif
ifeq (y,$(TSWO_MESA_DRI_MGA))
MESA_MATROX_DRIVERS=,mga
endif

MESA_DRIVER_LIST=$(MESA_DEFAULT_DRIVERS)$(MESA_ATI_DRIVERS)$(MESA_INTEL_DRIVERS)$(MESA_MATROX_DRIVERS)

Mesa_CONFIGURE_OPTIONS+=--with-driver=dri --with-dri-drivers=$(MESA_DRIVER_LIST)

ifneq (y,$(TSWO_MESA_DRI_RADEONHD))
ifneq (y,$(TSWO_MESA_DRI_INTEL))
ifneq (y,$(TSWO_MESA_DRI_MGA))
Mesa_CONFIGURE_OPTIONS+=--disable-gallium
endif
endif
endif

$(BUILD_DIR)/Mesa-$(Mesa_VERSION)/.stamp_packaged:
	cd $(Mesa_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(Mesa_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(Mesa_MAKE_CMD) INSTALL_DIR=/usr DESTDIR=$(Mesa_PKG_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/Mesa-$(Mesa_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing Mesa $(Mesa_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(Mesa_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(Mesa_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(Mesa_MAKE_CMD) INSTALL_DIR=/usr DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/Mesa-$(Mesa_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing Mesa $(Mesa_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(Mesa_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(Mesa_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(Mesa_MAKE_CMD) INSTALL_DIR=/usr DESTDIR=$(TSWO_HOST_INSTALL_DIR) install
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_Mesa))
SOFTWARE+=Mesa
endif


# vim:set noexpandtab filetype=make: 
