# Copyright (C) 2007-2010 Timesys Corporation
# dejavu-fonts-ttf rules

# Define common macros for dejavu-fonts-ttf from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,dejavu-fonts-ttf))


$(BUILD_DIR)/dejavu-fonts-ttf-$(dejavu-fonts-ttf_VERSION)/.stamp_configured:
	@touch $@
$(BUILD_DIR)/dejavu-fonts-ttf-$(dejavu-fonts-ttf_VERSION)/.stamp_built:
	@touch $@
$(BUILD_DIR)/dejavu-fonts-ttf-$(dejavu-fonts-ttf_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/dejavu-fonts-ttf-$(dejavu-fonts-ttf_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing dejavu-fonts-ttf $(dejavu-fonts-ttf_VERSION) to the RFS)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/{etc/fonts/{conf.avail,conf.d},usr/share/fonts/truetype}
	cd $(dejavu-fonts-ttf_DDIR) && \
		cp -f fontconfig/*.conf $(TSWO_RFS_INSTALL_DIR)/etc/fonts/conf.avail/ && \
		cp -f ttf/*.ttf $(TSWO_RFS_INSTALL_DIR)/usr/share/fonts/truetype/
	cd $(TSWO_RFS_INSTALL_DIR)/etc/fonts/conf.d && \
		ln -sf ../conf.avail/*.conf ./
	@touch $@

$(BUILD_DIR)/dejavu-fonts-ttf-$(dejavu-fonts-ttf_VERSION)/.stamp_packaged:
	mkdir -p $(dejavu-fonts-ttf_PKG_INSTALL_DIR)/{etc/fonts/{conf.avail,conf.d},usr/share/fonts/truetype}
	cd $(dejavu-fonts-ttf_DDIR) && \
		cp -f fontconfig/*.conf $(dejavu-fonts-ttf_PKG_INSTALL_DIR)/etc/fonts/conf.avail/ && \
		cp -f ttf/*.ttf $(dejavu-fonts-ttf_PKG_INSTALL_DIR)/usr/share/fonts/truetype/
	cd $(dejavu-fonts-ttf_PKG_INSTALL_DIR)/etc/fonts/conf.d && \
		ln -sf ../conf.avail/*.conf ./
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_dejavu-fonts-ttf))
SOFTWARE+=dejavu-fonts-ttf
endif


# vim:set noexpandtab filetype=make: 
