# Copyright (C) 2007-2010 Timesys Corporation
# libjpeg rules

# Define common macros for this libjpeg from include/common.mk
$(eval $(call COMMON_SETUP,libjpeg))


LIBJPEG_HOST_INSTALL_DIR=$(BUILD_DIR)/libjpeg-$(libjpeg_VERSION)/libjpeg-host-install
libjpeg-host-build: libjpeg-host-install $(BUILD_DIR)/libjpeg-$(libjpeg_VERSION)/.stamp_host_build
$(BUILD_DIR)/libjpeg-$(libjpeg_VERSION)/.stamp_host_build: 
	$(call PRINT_INFO,building libjpeg host copy)
	mkdir -p $(@D)/libjpeg-host-build
	$(INFLATE$(suffix $(libjpeg_SOURCE))) $(libjpeg_SRC_DL_DIR)/$(libjpeg_SOURCE) | \
		$(TAR) -C $(@D)/libjpeg-host-build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(libjpeg_PATCHES),$(call APPLY_PATCH,$(@D)/libjpeg-host-build/$(libjpeg_WORKINGDIR),$(libjpeg_SRC_DL_DIR)/$(patch)))
	cd $(@D)/libjpeg-host-build/$(libjpeg_WORKINGDIR) && \
		./configure \
			--prefix=$(LIBJPEG_HOST_INSTALL_DIR) && \
		make && \
		make install
	@touch $@

$(BUILD_DIR)/libjpeg-$(libjpeg_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{cjpeg,djpeg,jpegtran,rdjpgcom,wrjpgcom}
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_libjpeg))
SOFTWARE+=libjpeg
endif


# vim:set noexpandtab: 
