# Copyright (C) 2007-2010 Timesys Corporation
# ffmpeg rules

$(eval $(call COMMON_SETUP,ffmpeg))

ifeq (y,$(TSWO_mips))
ffmpeg_BUILD_OPTIONS+=CFLAGS="$(strip $(TARGET_CFLAGS)) -fPIC"
endif

ifeq (y,$(TSWO_powerpc_e500))
ffmpeg_CONFIGURE_OPTIONS+=--disable-altivec
endif

$(BUILD_DIR)/ffmpeg-$(ffmpeg_VERSION)/.stamp_pre_configured:
ifeq (y,$(TSWO_mips))
	cd $(ffmpeg_DDIR) && \
		$(SED) -i '/as-needed/d' configure
endif
	@touch $@

$(BUILD_DIR)/ffmpeg-$(ffmpeg_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring ffmpeg $(ffmpeg_VERSION))
	$(call CONFIG_UPDATE,$(ffmpeg_DDIR))
	cd $(ffmpeg_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(ffmpeg_BUILD_OPTIONS) \
		./configure \
        	--prefix=/usr \
        	$(ffmpeg_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/ffmpeg-$(ffmpeg_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{ffmpeg,ffserver}
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_ffmpeg))
SOFTWARE+=ffmpeg
endif


# vim:set noexpandtab filetype=make: 
