# Copyright (C) 2007-2010 Timesys Corporation
# mplayer-fonts rules

# Define common macros for mplayer-fonts from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mplayer-fonts))


$(BUILD_DIR)/mplayer-fonts-$(mplayer-fonts_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/mplayer-fonts-$(mplayer-fonts_VERSION)/.stamp_built:
	@touch $@

$(BUILD_DIR)/mplayer-fonts-$(mplayer-fonts_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing mplayer-fonts $(mplayer-fonts_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/share/mplayer/
	cd $(mplayer-fonts_DDIR) && \
		cp -rf * $(TSWO_RFS_INSTALL_DIR)/usr/share/mplayer/
	-cd $(TSWO_RFS_INSTALL_DIR)/usr/share/mplayer && \
		ln -fs $(TSWO_mplayer-fonts_DEFAULT_FONT) font
	@touch $@

$(BUILD_DIR)/mplayer-fonts-$(mplayer-fonts_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/mplayer-fonts-$(mplayer-fonts_VERSION)/.stamp_packaged:
	mkdir -p $(mplayer-fonts_PKG_INSTALL_DIR)/usr/share/mplayer
	cd $(mplayer-fonts_DDIR) && \
		cp -rf * $(mplayer-fonts_PKG_INSTALL_DIR)/usr/share/mplayer
	-cd $(mplayer-fonts_PKG_INSTALL_DIR)/usr/share/mplayer && \
		ln -fs $(TSWO_mplayer-fonts_DEFAULT_FONT) font
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mplayer-fonts))
SOFTWARE+=mplayer-fonts
endif


# vim:set noexpandtab filetype=make: 
