# Copyright (C) 2007-2010 Timesys Corporation
# mplayer-skin-abyss rules

# Define common macros for mplayer-skin-abyss from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mplayer-skin-abyss))


$(BUILD_DIR)/mplayer-skin-abyss-$(mplayer-skin-abyss_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/mplayer-skin-abyss-$(mplayer-skin-abyss_VERSION)/.stamp_built:
	@touch $@

$(BUILD_DIR)/mplayer-skin-abyss-$(mplayer-skin-abyss_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing mplayer-skin-abyss $(mplayer-skin-abyss_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/share/mplayer/skins/abyss
	cd $(mplayer-skin-abyss_DDIR) && \
		cp -rf * $(TSWO_RFS_INSTALL_DIR)/usr/share/mplayer/skins/abyss/
	-cd $(TSWO_RFS_INSTALL_DIR)/usr/share/mplayer/skins && \
		ln -fs abyss default
	@touch $@

$(BUILD_DIR)/mplayer-skin-abyss-$(mplayer-skin-abyss_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/mplayer-skin-abyss-$(mplayer-skin-abyss_VERSION)/.stamp_packaged:
	mkdir -p $(mplayer-skin-abyss_PKG_INSTALL_DIR)/usr/share/mplayer/skins/abyss
	cd $(mplayer-skin-abyss_DDIR) && \
		cp -rf * $(mplayer-skin-abyss_PKG_INSTALL_DIR)/usr/share/mplayer/skins/abyss/
	-cd $(mplayer-skin-abyss_PKG_INSTALL_DIR)/usr/share/mplayer/skins && \
		ln -fs abyss default
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mplayer-skin-abyss))
SOFTWARE+=mplayer-skin-abyss
endif


# vim:set noexpandtab filetype=make: 
