# Copyright (C) 2007-2010 Timesys Corporation
# ti-dvsdk rules

TSWO_ti-dvsdk_SOURCE=.stamp_fetched
ti-dvsdk_INSTALL_DIR=$(strip $(subst ",,$(TSWO_ti-dvsdk_INSTALL_DIR)))

# Define common macros for ti-dvsdk from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,ti-dvsdk))

# Parameters to override Rules.make that should be passed to every make invocation
ti-dvsdk_MAKE_VARS = \
	PLATFORM=$(TSWO_ti-dvsdk_PLATFORM) \
	CSTOOL_DIR=$(TSWO_HOST_INSTALL_DIR) \
	CSTOOL_PREFIX=$(TARGET_CROSS_PREFIX) \
	MVTOOL_DIR=$(TSWO_HOST_INSTALL_DIR) \
	MVTOOL_PREFIX=$(TARGET_CROSS_PREFIX) \
	LINUXLIBS_INSTALL_DIR=/unLikeLY/FacTory/UNLikeLY \
	LINUXKERNEL_INSTALL_DIR=$(kernel_WORKINGDIR)

# same as the default, with SOURCE_URL removed
$(ti-dvsdk_SRC_DL_DIR)/.stamp_fetched:
	$(call PRINT_INFO,fetching ti-dvsdk $(ti-dvsdk_VERSION))
	@mkdir -p $(@D) $(ti-dvsdk_SRC_DL_DIR)
#	$(call FETCH_REMOTE,$(ti-dvsdk_SRC_DL_DIR),$(ti-dvsdk_SOURCE_URL))
	$(foreach patch,$(ti-dvsdk_PATCHES),$(call FETCH_REMOTE,$(ti-dvsdk_SRC_DL_DIR),$(ti-dvsdk_URL)/$(patch)))
	$(foreach file,$(ti-dvsdk_FILES),$(call FETCH_REMOTE,$(ti-dvsdk_SRC_DL_DIR),$(ti-dvsdk_URL)/$(file)))
	@touch $@


$(BUILD_DIR)/ti-dvsdk-$(ti-dvsdk_VERSION)/.stamp_unpacked:
	@mkdir -p $(@D)
	@if [ ! -d $(TSWO_ti-dvsdk_INSTALL_DIR) ]; then \
	  echo "Cannot find TI DVSDK in location:" ;\
	  echo "$(TSWO_ti-dvsdk_INSTALL_DIR)" ;\
	  echo "You must download DVSDK from TI and install it before building this package." ;\
	  exit 1; \
	fi
	@touch $@

$(BUILD_DIR)/ti-dvsdk-$(ti-dvsdk_VERSION)/.stamp_patched:
	@touch $@

ti-dvsdk-patch: $(ti-dvsdk_INSTALL_DIR)/.stamp_patched
$(ti-dvsdk_INSTALL_DIR)/.stamp_patched:
	$(call PRINT_INFO,patching ti-dvsdk $(ti-dvsdk_VERSION))
	# apply patches from the config
	$(foreach patch,$(ti-dvsdk_PATCHES),$(call APPLY_PATCH,$(ti-dvsdk_INSTALL_DIR),$(ti-dvsdk_SRC_DL_DIR)/$(patch)))
	@touch $@

$(BUILD_DIR)/ti-dvsdk-$(ti-dvsdk_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/ti-dvsdk-$(ti-dvsdk_VERSION)/.stamp_built:
	$(call PRINT_INFO,building ti-dvsdk $(ti-dvsdk_VERSION))
	cd $(ti-dvsdk_INSTALL_DIR) && \
        	$(ti-dvsdk_BUILD_OPTIONS) \
		$(ti-dvsdk_MAKE_CMD) \
		$(ti-dvsdk_MAKE_VARS)
	@touch $@

$(BUILD_DIR)/ti-dvsdk-$(ti-dvsdk_VERSION)/.stamp_rfs_installed: INSTALL_DIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/ti-dvsdk-$(ti-dvsdk_VERSION)/.stamp_packaged: INSTALL_DIR=$(ti-dvsdk_PKG_INSTALL_DIR)
$(BUILD_DIR)/ti-dvsdk-$(ti-dvsdk_VERSION)/.stamp_host_installed: INSTALL_DIR=$(TSWO_HOST_INSTALL_DIR)

$(BUILD_DIR)/ti-dvsdk-$(ti-dvsdk_VERSION)/.stamp_rfs_installed $(BUILD_DIR)/ti-dvsdk-$(ti-dvsdk_VERSION)/.stamp_packaged:
	$(call PRINT_INFO,installing ti-dvsdk $(ti-dvsdk_VERSION))
	cd $(ti-dvsdk_INSTALL_DIR) && \
        	$(ti-dvsdk_BUILD_OPTIONS) \
		$(ti-dvsdk_MAKE_CMD) \
		$(ti-dvsdk_MAKE_VARS) \
		EXEC_DIR=$(INSTALL_DIR)/opt/dvsdk/$(TSWO_ti-dvsdk_PLATFORM) \
		install
	@touch $@

# no host install for now.
$(BUILD_DIR)/ti-dvsdk-$(ti-dvsdk_VERSION)/.stamp_host_installed:
	@touch $@

# Since it is an external directory, (dist)clean must be specially handled
ti-dvsdk-distclean: ti-dvsdk-clean

$(BUILD_DIR)/ti-dvsdk-$(ti-dvsdk_VERSION)/.stamp_cleaned:
	$(call PRINT_INFO,cleaning ti-dvsdk $(ti-dvsdk_VERSION))
	-cd $(ti-dvsdk_INSTALL_DIR) && \
        	$(ti-dvsdk_BUILD_OPTIONS) \
		$(ti-dvsdk_MAKE_CMD) \
		$(ti-dvsdk_MAKE_VARS) \
		clean

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_ti-dvsdk))
SOFTWARE+=ti-dvsdk
endif


# vim:set noexpandtab filetype=make: 
