# Copyright (C) 2007-2010 Timesys Corporation
# avahi rules

# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,avahi))

avahi_OPTIONAL_DEPS=dbus-glib dbus-python gtk libcap libglade libxml2
avahi_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(avahi_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
avahi-patch: $(avahi_OPTIONAL_DEPS_TARGETS)

ifeq (y,$(TSWO_LIBC_UCLIBC))
avahi_BUILD_OPTIONS+=LDFLAGS=-lintl
endif

ifneq (y,$(TSWO_SOFTWARE_gdbm))
avahi_CONFIGURE_OPTIONS+=--disable-gdbm
endif

$(BUILD_DIR)/avahi-$(avahi_VERSION)/.stamp_pre_configured:
	cd $(avahi_DDIR) && \
		find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_avahi))
SOFTWARE+=avahi
endif


# vim:set noexpandtab filetype=make: 
