# Copyright (C) 2007-2010 Timesys Corporation
# bluez-utils rules


$(eval $(call COMMON_SETUP,bluez-utils))


# startup script requires which
ifneq (y,$(TSWO_SOFTWARE_busybox))
bluez-source: which-source
bluez-package: which-package
bluez-rfs-install: which-rfs-install
endif

$(BUILD_DIR)/bluez-utils-$(bluez-utils_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing bluez-utils $(bluez-utils_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(bluez-utils_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(bluez-utils_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(bluez-utils_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	-if [ -e $(TSWO_RFS_INSTALL_DIR)/etc/init.d/bluetooth ]; then \
		mv -f $(TSWO_RFS_INSTALL_DIR)/etc/init.d/bluetooth $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S25-bluetooth; \
	fi
	@touch $@

$(BUILD_DIR)/bluez-utils-$(bluez-utils_VERSION)/.stamp_packaged:
	cd $(bluez-utils_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(bluez-utils_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(bluez-utils_MAKE_CMD) DESTDIR=$(bluez-utils_PKG_INSTALL_DIR) install
	-if [ -e $(bluez-utils_PKG_INSTALL_DIR)/etc/init.d/bluetooth ]; then \
		mv -f $(bluez-utils_PKG_INSTALL_DIR)/etc/init.d/bluetooth $(bluez-utils_PKG_INSTALL_DIR)/etc/init.d/S25-bluetooth; \
	fi
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_bluez-utils))
SOFTWARE+=bluez-utils
endif


# vim:set noexpandtab filetype=make: 
