# Copyright (C) 2007-2010 Timesys Corporation
# boa rules

# Define common macros for this boa from include/common.mk
$(eval $(call COMMON_SETUP,boa))

$(BUILD_DIR)/boa-$(boa_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing boa $(boa_VERSION) to the RFS)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/{etc/{boa,init.d},usr/sbin,usr/lib/boa,usr/share/man/man8,var/log/boa,var/www,usr/lib/cgi-bin}
	install -m755 $(boa_DDIR)/boa $(TSWO_RFS_INSTALL_DIR)/usr/sbin/
	install -m755 $(boa_DDIR)/boa_indexer $(TSWO_RFS_INSTALL_DIR)/usr/lib/boa/
	install -m644 $(boa_SRC_DL_DIR)/boa.conf $(TSWO_RFS_INSTALL_DIR)/etc/boa/
	install -m644 $(boa_SRC_DL_DIR)/mime.types $(TSWO_RFS_INSTALL_DIR)/etc/
	-install -m755 $(boa_SRC_DL_DIR)/S65-boa $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	cp -f $(boa_DDIR)/../docs/boa.8 $(TSWO_RFS_INSTALL_DIR)/usr/share/man/man8/
	@touch $@

$(BUILD_DIR)/boa-$(boa_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/boa-$(boa_VERSION)/.stamp_packaged:
	mkdir -p $(boa_PKG_INSTALL_DIR)/{etc/{boa,init.d},usr/sbin,usr/lib/boa,usr/share/man/man8,var/log/boa,var/www,usr/lib/cgi-bin}
	install -m755 $(boa_DDIR)/boa $(boa_PKG_INSTALL_DIR)/usr/sbin/
	install -m755 $(boa_DDIR)/boa_indexer $(boa_PKG_INSTALL_DIR)/usr/lib/boa/
	install -m644 $(boa_SRC_DL_DIR)/boa.conf $(boa_PKG_INSTALL_DIR)/etc/boa/
	install -m644 $(boa_SRC_DL_DIR)/mime.types $(boa_PKG_INSTALL_DIR)/etc/
	-install -m755 $(boa_SRC_DL_DIR)/S65-boa $(boa_PKG_INSTALL_DIR)/etc/init.d/
	cp -f $(boa_DDIR)/../docs/boa.8 $(boa_PKG_INSTALL_DIR)/usr/share/man/man8/
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_boa))
SOFTWARE+=boa
endif

# vim:set noexpandtab: 
