# Copyright (C) 2007-2010 Timesys Corporation
# dovecot rules

# Define common macros for dovecot from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,dovecot))


$(BUILD_DIR)/dovecot-$(dovecot_VERSION)/.stamp_files_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/dovecot-$(dovecot_VERSION)/.stamp_files_packaged: DESTDIR=$(dovecot_PKG_INSTALL_DIR)
$(BUILD_DIR)/dovecot-$(dovecot_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/dovecot-$(dovecot_VERSION)/.stamp_files_rfs_installed
$(BUILD_DIR)/dovecot-$(dovecot_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/dovecot-$(dovecot_VERSION)/.stamp_files_packaged

$(BUILD_DIR)/dovecot-$(dovecot_VERSION)/.stamp_files_rfs_installed $(BUILD_DIR)/dovecot-$(dovecot_VERSION)/.stamp_files_packaged:
	mkdir -p $(DESTDIR)/{etc/{init.d,dovecot},var/log/dovecot}
	-cp -f $(dovecot_SRC_DL_DIR)/dovecot.conf $(DESTDIR)/etc/dovecot.conf
	-cp -f $(dovecot_SRC_DL_DIR)/S62-dovecot $(DESTDIR)/etc/init.d/
	-chmod +x $(DESTDIR)/etc/init.d/*
	@touch $@

$(BUILD_DIR)/dovecot-$(dovecot_VERSION)/.stamp_host_installed:
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_dovecot))
SOFTWARE+=dovecot
endif


# vim:set noexpandtab filetype=make: 
