# Copyright (C) 2007-2010 Timesys Corporation
# libtasn1 rules

# Define common macros for libtasn1 from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libtasn1))

host-libtasn1: $(BUILD_DIR)/libtasn1-$(libtasn1_VERSION)/.stamp_host_libtasn1_built
HOST_TASN1_DIR=$(BUILD_DIR)/libtasn1-$(libtasn1_VERSION)/host/libtasn1-$(libtasn1_VERSION)
$(BUILD_DIR)/libtasn1-$(libtasn1_VERSION)/.stamp_host_libtasn1_built:
	rm -rf $(@D)/host
	mkdir -p $(@D)/host
	$(INFLATE$(suffix $(libtasn1_SOURCE))) $(libtasn1_SRC_DL_DIR)/$(libtasn1_SOURCE) | \
		$(TAR) -C $(@D)/host $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(libtasn1_PATCHES),$(call APPLY_PATCH,$(HOST_TASN1_DIR),$(libtasn1_SRC_DL_DIR)/$(patch)))
	cd $(HOST_TASN1_DIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		./configure --prefix=$(TSWO_FAKE_INSTALL_DIR)
	cd $(HOST_TASN1_DIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(MAKE)
	cd $(HOST_TASN1_DIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(MAKE) install
	@touch $@

$(BUILD_DIR)/libtasn1-$(libtasn1_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/bin/{asn1Decoding,asn1Parser,asn1Coding}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libtasn1))
SOFTWARE+=libtasn1
endif


# vim:set noexpandtab filetype=make: 
