# Copyright (C) 2007-2010 Timesys Corporation
# net-snmp rules

# Define common macros for net-snmp from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,net-snmp))

ifeq (y,$(strip $(call UNQUOTE_VARIABLE,$(TSWO_BIG_ENDIAN))))
net-snmp_CONFIGURE_OPTIONS+=--with-endianness=big
else
net-snmp_CONFIGURE_OPTIONS+=--with-endianness=little
endif

$(BUILD_DIR)/net-snmp-$(net-snmp_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{fixproc,snmpbulkwalk,traptoemail,snmptest,mib2c,snmpinform,tkmib,snmpusm,ipf-mod.pl,snmpstatus,snmpdelta,mib2c-update,snmpcheck,snmpvacm,snmpgetnext,snmptable,snmptrap,snmpnetstat,snmpconf,snmpset,encode_keychange,snmptranslate,snmpwalk,snmpbulkget,snmpdf,snmpget}
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/sbin/{snmpd,snmptrapd}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_net-snmp))
SOFTWARE+=net-snmp
endif


# vim:set noexpandtab filetype=make: 
