# Copyright (C) 2007-2010 Timesys Corporation
# obexd rules

# Define common macros for obexd from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,obexd))

obexd_OPTIONAL_DEPS=evolution-data-server evolution-data-server-dbus
obexd_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(obexd_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
obexd-patch: $(obexd_OPTIONAL_DEPS_TARGETS)

ifeq (y,$(TSWO_SOFTWARE_evolution-data-server))
obexd_CONFIGURE_OPTIONS+=--with-phonebook=ebook
endif
ifeq (y,$(TSWO_SOFTWARE_evolution-data-server-dbus))
obexd_CONFIGURE_OPTIONS+=--with-phonebook=ebook
endif

$(BUILD_DIR)/obexd-$(obexd_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_obexd))
SOFTWARE+=obexd
endif


# vim:set noexpandtab filetype=make: 
