# Copyright (C) 2007-2010 Timesys Corporation
# openldap rules

# Define common macros for this openldap from include/common.mk
$(eval $(call COMMON_SETUP,openldap))

ifeq (y,$(strip $(TSWO_SOFTWARE_openssl)))
openldap-unpack: openssl-host-install
endif
ifeq (y,$(strip $(TSWO_SOFTWARE_gnutls)))
openldap-unpack: gnutls-host-install
endif
ifeq (y,$(strip $(TSWO_SOFTWARE_cyrus-sasl)))
openldap-unpack: cyrus-sasl-host-install
endif


$(BUILD_DIR)/openldap-$(openldap_VERSION)/.stamp_pre_built:
	cd $(openldap_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(openldap_BUILD_OPTIONS) \
		$(openldap_MAKE_CMD) depend
	@touch $@

$(BUILD_DIR)/openldap-$(openldap_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/bin/ldap*
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_openldap))
SOFTWARE+=openldap
endif


# vim:set noexpandtab: 
