# Copyright (C) 2007-2010 Timesys Corporation
# openssh rules

# Define common macros for this openssh from include/common.mk
$(eval $(call COMMON_SETUP,openssh))

ifeq ($(LIBC),uClibc)
openssh_PATCHES+=openssh-$(openssh_VERSION)-bcopy.patch
endif

$(BUILD_DIR)/openssh-$(openssh_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing openssh $(openssh_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	cd $(openssh_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(openssh_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(openssh_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	-cp -f $(openssh_SRC_DL_DIR)/S50-openssh $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	-chmod a+x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S50-openssh
	@touch $@

$(BUILD_DIR)/openssh-$(openssh_VERSION)/.stamp_packaged:
	@mkdir -p $(openssh_PKG_INSTALL_DIR)/etc/init.d
	cd $(openssh_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(openssh_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(openssh_MAKE_CMD) DESTDIR=$(openssh_PKG_INSTALL_DIR) install
	-cp -f $(openssh_SRC_DL_DIR)/S50-openssh $(openssh_PKG_INSTALL_DIR)/etc/init.d/
	-chmod a+x $(openssh_PKG_INSTALL_DIR)/etc/init.d/S50-openssh
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_openssh))
SOFTWARE+=openssh
endif


# vim:set noexpandtab: 
