# Copyright (C) 2007-2010 Timesys Corporation
# proftpd rules

# Define common macros for this proftpd from include/common.mk
$(eval $(call COMMON_SETUP,proftpd))


# need to make this with the host compiler
$(BUILD_DIR)/proftpd-$(proftpd_VERSION)/.stamp_pre_built:
	cd $(proftpd_DDIR)/lib/libcap && \
		$(MAKE) cap_names.sed
	cd $(proftpd_DDIR)/lib/libcap && \
		cc -o _makenames _makenames.c
	@touch $@

$(BUILD_DIR)/proftpd-$(proftpd_VERSION)/.stamp_packaged:
	cd $(proftpd_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(proftpd_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(proftpd_MAKE_CMD) DESTDIR=$(proftpd_PKG_INSTALL_DIR) install
	mkdir -p $(proftpd_PKG_INSTALL_DIR)/etc/init.d
	cp -f $(proftpd_SRC_DL_DIR)/S60-proftpd $(proftpd_PKG_INSTALL_DIR)/etc/init.d
	chmod +x $(proftpd_PKG_INSTALL_DIR)/etc/init.d/S60-proftpd
	cp -f $(proftpd_SRC_DL_DIR)/proftpd.conf $(proftpd_PKG_INSTALL_DIR)/etc/
	@touch $@
$(BUILD_DIR)/proftpd-$(proftpd_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing proftpd $(proftpd_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(proftpd_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(proftpd_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(proftpd_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	cp -f $(proftpd_SRC_DL_DIR)/S60-proftpd $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S60-proftpd
	cp -f $(proftpd_SRC_DL_DIR)/proftpd.conf $(TSWO_RFS_INSTALL_DIR)/etc/
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_proftpd))
SOFTWARE+=proftpd
endif


# vim:set noexpandtab: 
