# Copyright (C) 2007-2010 Timesys Corporation
# sendmail rules

# Define common macros for sendmail from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,sendmail))

ifeq (y,$(TSWO_LIBC_UCLIBC))
sendmail-fetch: bind-fetch
sendmail-patch: bind-build
endif

$(BUILD_DIR)/sendmail-$(sendmail_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring sendmail $(sendmail_VERSION))
	cd $(sendmail_DDIR) && \
		echo "define(\`confCC', \`$(TSWO_FULL_TARGET_NAME)-gcc')" > site.config.m4 && \
		echo "APPENDDEF(\`confLIBS', \`-lpthread -lresolv')" >> site.config.m4 && \
		echo "define(\`confOPTIMIZE', \`-Os -pipe')" >> site.config.m4 && \
		echo "define(\`confGBINGRP', \`root')" >> site.config.m4 && \
		echo "define(\`confMSPQOWN', \`root')" >> site.config.m4
ifeq (y,$(TSWO_LIBC_UCLIBC))
	cd $(sendmail_DDIR) && \
		echo "APPENDDEF(\`confLIBS', \`-lbind')" >> site.config.m4 && \
		echo "APPENDDEF(\`confLIBDIRS', \`-L$(bind_DDIR)/lib/bind')" >> site.config.m4
endif
	@touch $@

$(BUILD_DIR)/sendmail-$(sendmail_VERSION)/.stamp_built:
	$(call PRINT_INFO,building sendmail $(sendmail_VERSION))
	for dir in libmilter libsmutil sendmail mailstats rmail praliases smrsh makemap;do \
		cd $(sendmail_DDIR)/$$dir && \
			PATH=$(BUILD_PATH) \
			$(TARGET_ALIASES) \
			$(TARGET_BUILD_OPTIONS) \
        	$(sendmail_BUILD_OPTIONS) \
				./Build -f $(sendmail_DDIR)/site.config.m4; \
	done
	@touch $@

$(BUILD_DIR)/sendmail-$(sendmail_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing sendmail $(sendmail_VERSION) to the RFS)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/{etc/{mail,init.d},var/spool/{mqueue,clientmqueue},usr/{bin,sbin,lib,man/man{1,2,3,4,5,6,7,8}}}
	for dir in libmilter libsmutil sendmail mailstats rmail praliases smrsh makemap;do \
		cd $(sendmail_DDIR)/$$dir && \
			PATH=$(BUILD_PATH) \
			$(TARGET_ALIASES) \
			$(TARGET_BUILD_OPTIONS) \
        	$(sendmail_BUILD_OPTIONS) \
				$(FAKEROOT_CMD) ./Build install DESTDIR=$(TSWO_RFS_INSTALL_DIR); \
	done
	-cp -f $(sendmail_SRC_DL_DIR)/S50-sendmail $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S50-sendmail
	-cp -f $(sendmail_SRC_DL_DIR)/sendmail.cf $(TSWO_RFS_INSTALL_DIR)/etc/mail/
	-chmod 0644 $(TSWO_RFS_INSTALL_DIR)/etc/mail/sendmail.cf
	if [ ! -f $(TSWO_RFS_INSTALL_DIR)/etc/mail/local-host-names ]; then \
		echo 'localhost.localdomain' > $(TSWO_RFS_INSTALL_DIR)/etc/mail/local-host-names && \
		echo 'localhost' >> $(TSWO_RFS_INSTALL_DIR)/etc/mail/local-host-names && \
		chmod 0644 $(TSWO_RFS_INSTALL_DIR)/etc/mail/local-host-names; \
	fi
	@touch $@

$(BUILD_DIR)/sendmail-$(sendmail_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/sendmail-$(sendmail_VERSION)/.stamp_packaged:
	mkdir -p $(sendmail_PKG_INSTALL_DIR)/{etc/{mail,init.d},var/spool/{mqueue,clientmqueue},usr/{bin,sbin,lib,man/man{1,2,3,4,5,6,7,8}}}
	for dir in libmilter libsmutil sendmail mailstats rmail praliases smrsh makemap;do \
		cd $(sendmail_DDIR)/$$dir && \
			PATH=$(BUILD_PATH) \
			$(TARGET_ALIASES) \
			$(TARGET_BUILD_OPTIONS) \
        	$(sendmail_BUILD_OPTIONS) \
				$(FAKEROOT_CMD) ./Build install DESTDIR=$(sendmail_PKG_INSTALL_DIR); \
	done
	-cp -f $(sendmail_SRC_DL_DIR)/S50-sendmail $(sendmail_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(sendmail_PKG_INSTALL_DIR)/etc/init.d/S50-sendmail
	-cp -f $(sendmail_SRC_DL_DIR)/sendmail.cf $(sendmail_PKG_INSTALL_DIR)/etc/mail/
	-chmod 0644 $(sendmail_PKG_INSTALL_DIR)/etc/mail/sendmail.cf
	echo 'localhost.localdomain' > $(sendmail_PKG_INSTALL_DIR)/etc/mail/local-host-names
	echo 'localhost' >> $(sendmail_PKG_INSTALL_DIR)/etc/mail/local-host-names
	-chmod 0644 $(sendmail_PKG_INSTALL_DIR)/etc/mail/local-host-names
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_sendmail))
SOFTWARE+=sendmail
endif


# vim:set noexpandtab filetype=make: 
