# Copyright (C) 2007-2010 Timesys Corporation
# wvdial rules

# Define common macros for wvdial from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,wvdial))


$(BUILD_DIR)/wvdial-$(wvdial_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring wvdial $(wvdial_VERSION))
	$(call CONFIG_UPDATE,$(wvdial_DDIR))
	cd $(wvdial_DDIR) && rm -rf config.cache 2>/dev/null && \
		if [ -f configure ]; then \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(wvdial_BUILD_OPTIONS) \
		./configure \
			--target=$(TSWO_FULL_TARGET_NAME) \
			--host=$(TSWO_FULL_TARGET_NAME) \
			--build=$(TSWO_BUILD_NAME) \
        	--prefix=/usr \
        	--exec-prefix=/usr \
			--bindir=/usr/bin \
			--sbindir=/usr/sbin \
			--libdir=/usr/lib \
			--libexecdir=/usr/lib \
			--sysconfdir=/etc \
			--datadir=/usr/share \
			--localstatedir=/var \
			--mandir=/usr/share/man \
			--infodir=/usr/share/info \
			--includedir=/usr/include \
			$(TARGET_CONFIGURE_OPTIONS) \
        	$(wvdial_CONFIGURE_OPTIONS); \
		fi
	@touch $@

$(BUILD_DIR)/wvdial-$(wvdial_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/bin/{wvdialconf,wvdial}
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_wvdial))
SOFTWARE+=wvdial
endif


# vim:set noexpandtab filetype=make: 
