# Copyright (C) 2007-2010 Timesys Corporation
# mono rules

# Define common macros for mono from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mono))

ifeq (y,$(TSWO_arm))
mono_CONFIGURE_OPTIONS+=CPPFLAGS=-DARM_FPU_NONE=1
endif
ifeq (y,$(TSWO_armeb))
mono_CONFIGURE_OPTIONS+=CPPFLAGS=-DARM_FPU_NONE=1
endif

ifeq (y,$(strip $(TSWO_LIBC_UCLIBC)))
mono_CONFIGURE_OPTIONS+=--with-tls=none
else
mono_CONFIGURE_OPTIONS+=--with-tls=pthread 
endif

ifeq (y,$(strip $(TSWO_SOFTWARE_libx11)))
mono_CONFIGURE_OPTIONS+=--with-x=yes
else
mono_CONFIGURE_OPTIONS+=--with-x=no
endif

# no jit support for these arches
ifeq (y,$(TSWO_sh))
mono_CONFIGURE_OPTIONS+=--with-jit=no --with-interp=yes
endif

$(BUILD_DIR)/mono-$(mono_VERSION)/.stamp_post_host_installed:
	cd $(TSWO_HOST_INSTALL_DIR)/bin &&
		rm -f {al,al1,al2,caspol,cert2spc,certmgr,chktrust,cilc,csharp,disco,dtd2rng,dtd2xsd,gacutil,gacutil1,gacutil2,genxs,genxs1,gmcs,httpcfg,ilasm,ilasm1,ilasm2,installvst,macpack,makecert,mconfig,mcs,mcs1,mdassembler,mdoc,mdoc-assemble,mdoc-export-html,mdoc-export-msxdoc,mdoc-update,mdoc-validate,mdvalidater,mjs,mkbundle,mkbundle1,mkbundle2,mod,mono,mono-api-info,mono-cil-strip,monodis,monodocer,monodocs2html,monodocs2slashdoc,mono-find-provides,mono-find-requires,monograph,monolinker,monop,monop1,monop2,mono-service,mono-service2,mono-shlib-cop,mono-test-install,mono-xmltool,mozroots,nunit-console,nunit-console2,pedump,permview,prj2make,resgen,resgen1,resgen2,secutil,setreg,sgen,signcode,smcs,sn,soapsuds,sqlsharp,wsdl,wsdl1,wsdl2,xbuild,xsd,xsd2}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mono))
SOFTWARE+=mono
endif


# vim:set noexpandtab filetype=make: 
