# Copyright (C) 2007-2010 Timesys Corporation
# python rules

python_VERSION_PARTS=$(subst ., ,$(call UNQUOTE_VAR,$(TSWO_python_VERSION)))
python_SHORT_VERSION=$(word 1,$(python_VERSION_PARTS)).$(word 2,$(python_VERSION_PARTS))
python_INCLUDE_DIR=$(TSWO_HOST_INSTALL_DIR)/include/python$(python_SHORT_VERSION)

# Define common macros for this python from include/common.mk
$(eval $(call COMMON_SETUP,python))

$(BUILD_DIR)/python-$(python_VERSION)/.stamp_pre_configured:
	$(call PRINT_INFO,building python $(python_VERSION) for the host)
	cd $(python_DDIR) && \
		./configure --prefix=/usr
	cd $(python_DDIR) && \
		$(MAKE) python Parser/pgen
	cd $(python_DDIR) && \
		mv -f python hostpython && mv -f Parser/pgen Parser/hostpgen
	cd $(python_DDIR) && \
		$(MAKE) distclean
	@touch $@

# ugh, redefine package as well as add post_host and post_rfs install to erase .py[co] files
$(BUILD_DIR)/python-$(python_VERSION)/.stamp_packaged:
	-cd $(python_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(python_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(python_MAKE_CMD) DESTDIR=$(python_PKG_INSTALL_DIR) install 2>/dev/null ; true
	find $(python_PKG_INSTALL_DIR) -type f -name '*.py[co]' -exec rm {} \;
	cd $(python_PKG_INSTALL_DIR)/usr/lib/python$(python_SHORT_VERSION)/lib-dynload && \
		for file in $$(find . -type f -name '*_failed.so'); do \
			mv -f $$file $${file/_failed.so/.so}; \
		done
	@touch $@

$(BUILD_DIR)/python-$(python_VERSION)/.stamp_post_rfs_installed:
	find $(TSWO_RFS_INSTALL_DIR) -type f -name '*.py[co]' -exec rm {} \;
	cd $(TSWO_RFS_INSTALL_DIR)/usr/lib/python$(python_SHORT_VERSION)/lib-dynload && \
		for file in $$(find . -type f -name '*_failed.so'); do \
			mv -f $$file $${file/_failed.so/.so}; \
		done
	@touch $@

$(BUILD_DIR)/python-$(python_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/bin/python$(python_SHORT_VERSION)
	rm -f $(TSWO_HOST_INSTALL_DIR)/bin/python
	$(SED) -i -re "s|^valid_opts = |sysconfig.PREFIX='$(TSWO_HOST_INSTALL_DIR)'\n\nvalid_opts = |" $(TSWO_HOST_INSTALL_DIR)/bin/python-config
	find $(TSWO_HOST_INSTALL_DIR) -type f -name '*.py[co]' -exec rm {} \;
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_python))
SOFTWARE+=python
endif


# vim:set noexpandtab: 
