# Copyright (C) 2007-2010 Timesys Corporation
# coreutils rules

# Define common macros for this coreutils from include/common.mk
$(eval $(call COMMON_SETUP,coreutils))

# XXX THIS REQUIRES WCHAR SUPPORT IN THE UCLIBC TOOLCHAIN.

$(BUILD_DIR)/coreutils-$(coreutils_VERSION)/.stamp_host_installed:
	@touch $@

ifeq (y,$(TSWO_mips))
ifeq (y,$(TSWO_LIBC_UCLIBC))
coreutils_BUILD_OPTIONS+=CFLAGS=-fPIC
endif
endif

$(BUILD_DIR)/coreutils-$(coreutils_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring coreutils $(coreutils_VERSION))
	$(call CONFIG_UPDATE,$(coreutils_DDIR))
	cd $(coreutils_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(coreutils_BUILD_OPTIONS) \
		./configure \
			--target=$(TSWO_FULL_TARGET_NAME) \
			--host=$(TSWO_FULL_TARGET_NAME) \
			--build=$(TSWO_BUILD_NAME) \
        	--prefix=/ \
        	--exec-prefix=/ \
			--bindir=/bin \
			--sbindir=/sbin \
			--libdir=/lib \
			--libexecdir=/lib \
			--sysconfdir=/etc \
			--datadir=/usr/share \
			--localstatedir=/var \
			--mandir=/usr/share/man \
			--infodir=/usr/share/info \
			--includedir=/usr/include \
			$(TARGET_CONFIGURE_OPTIONS) \
        	$(coreutils_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/coreutils-$(coreutils_VERSION)/.stamp_post_rfs_installed:
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/bin
	if [ ! -e $(TSWO_RFS_INSTALL_DIR)/usr/bin/env ]; then ln -sf /bin/env $(TSWO_RFS_INSTALL_DIR)/usr/bin/env;fi
	@touch $@

$(BUILD_DIR)/coreutils-$(coreutils_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/coreutils-$(coreutils_VERSION)/.stamp_fixup_packaged
$(BUILD_DIR)/coreutils-$(coreutils_VERSION)/.stamp_fixup_packaged:
	mkdir -p $(coreutils_PKG_INSTALL_DIR)/usr/bin
	if [ ! -e $(coreutils_PKG_INSTALL_DIR)/usr/bin/env ]; then ln -sf /bin/env $(coreutils_PKG_INSTALL_DIR)/usr/bin/env;fi
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_coreutils))
SOFTWARE+=coreutils
endif

# if busybox is enabled, coreutils must be set up last
ifeq (y,$(TSWO_SOFTWARE_busybox))
coreutils-rfs-install: busybox-rfs-install
endif

# vim:set noexpandtab: 
