# Copyright (C) 2007-2010 Timesys Corporation
# e2fsprogs rules

# Define common macros for this e2fsprogs from include/common.mk
$(eval $(call COMMON_SETUP,e2fsprogs))

ifeq (y,$(TSWO_LIBC_UCLIBC))
e2fsprogs_CONFIGURE_OPTIONS+=--with-ldopts='-liconv -lintl' --disable-tls
endif

$(BUILD_DIR)/e2fsprogs-$(e2fsprogs_VERSION)/.stamp_packaged:
	@cd $(e2fsprogs_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(MAKE) DESTDIR=$(e2fsprogs_PKG_INSTALL_DIR) install install-libs
	@touch $(@)

$(BUILD_DIR)/e2fsprogs-$(e2fsprogs_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{lsattr,chattr,uuidgen}
	@rm -f $(TSWO_HOST_INSTALL_DIR)/sbin/{fsck*,dumpe2fs,findfs,badblocks,filefrag,logsave,mkfs*,mke2fs,debugfs,e2*,blkid,tune2fs,mklost+found,resize2fs,uuid*}
	@touch $(@)

$(BUILD_DIR)/e2fsprogs-$(e2fsprogs_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing e2fsprogs to the host)
	cd $(e2fsprogs_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(MAKE) DESTDIR=$(TSWO_HOST_INSTALL_DIR) install install-libs
	@touch $(@)

$(BUILD_DIR)/e2fsprogs-$(e2fsprogs_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing e2fsprogs to the RFS)
	cd $(e2fsprogs_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(MAKE) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install install-libs
	@touch $(@)

$(BUILD_DIR)/e2fsprogs-$(e2fsprogs_VERSION)/.stamp_mk_rundir_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/e2fsprogs-$(e2fsprogs_VERSION)/.stamp_mk_rundir_packaged: DESTDIR=$(e2fsprogs_PKG_INSTALL_DIR)
$(BUILD_DIR)/e2fsprogs-$(e2fsprogs_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/e2fsprogs-$(e2fsprogs_VERSION)/.stamp_mk_rundir_rfs_installed
$(BUILD_DIR)/e2fsprogs-$(e2fsprogs_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/e2fsprogs-$(e2fsprogs_VERSION)/.stamp_mk_rundir_packaged
$(BUILD_DIR)/e2fsprogs-$(e2fsprogs_VERSION)/.stamp_mk_rundir_rfs_installed $(BUILD_DIR)/e2fsprogs-$(e2fsprogs_VERSION)/.stamp_mk_rundir_packaged:
	mkdir -p $(DESTDIR)/var/lib/libuuid
	@touch $(@)

$(BUILD_DIR)/e2fsprogs-$(e2fsprogs_VERSION)/.stamp_fake_host_installed:
	$(call PRINT_INFO,building e2fsprogs temporary host installation)
	mkdir -p $(e2fsprogs_DIR)/fake_host_build
	cd $(e2fsprogs_DIR)/fake_host_build && \
		$(INFLATE$(suffix $(e2fsprogs_SOURCE))) $(e2fsprogs_SRC_DL_DIR)/$(e2fsprogs_SOURCE) | \
			$(TAR) -C $(@D)/fake_host_build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(e2fsprogs_PATCHES),$(call APPLY_PATCH,$(e2fsprogs_DIR)/fake_host_build/$(e2fsprogs_WORKINGDIR),$(e2fsprogs_SRC_DL_DIR)/$(patch)))
	cd $(e2fsprogs_DIR)/fake_host_build/$(e2fsprogs_WORKINGDIR) && \
		./configure --prefix=/
	cd $(e2fsprogs_DIR)/fake_host_build/$(e2fsprogs_WORKINGDIR) && \
		$(MAKE)
	cd $(e2fsprogs_DIR)/fake_host_build/$(e2fsprogs_WORKINGDIR) && \
		$(MAKE) DESTDIR=$(BUILD_DIR)/fake install install-libs
	@touch $@

e2fsprogs-fake-host-install: e2fsprogs-unpack $(BUILD_DIR)/e2fsprogs-$(e2fsprogs_VERSION)/.stamp_fake_host_installed


# add to software list
ifeq (y,$(TSWO_SOFTWARE_e2fsprogs))
SOFTWARE+=e2fsprogs
endif


# vim:set noexpandtab: 
