# Copyright (C) 2007-2010 Timesys Corporation
# hal rules

# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,hal))

ifeq (y,$(TSWO_SOFTWARE_policy-kit))
hal-patch: policy-kit-host-install
else
hal_CONFIGURE_OPTIONS+=--disable-policy-kit
endif

$(BUILD_DIR)/hal-$(hal_VERSION)/.stamp_pre_configured:
ifeq (y,$(TSWO_mips))
	cd $(hal_DDIR) && \
		$(SED) -i 's/^.*as-needed.*$$/true/' configure
endif
	@touch $@

$(BUILD_DIR)/hal-$(hal_VERSION)/.stamp_init_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/hal-$(hal_VERSION)/.stamp_init_packaged: DESTDIR=$(hal_PKG_INSTALL_DIR)
$(BUILD_DIR)/hal-$(hal_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/hal-$(hal_VERSION)/.stamp_init_rfs_installed
$(BUILD_DIR)/hal-$(hal_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/hal-$(hal_VERSION)/.stamp_init_packaged

$(BUILD_DIR)/hal-$(hal_VERSION)/.stamp_init_rfs_installed $(BUILD_DIR)/hal-$(hal_VERSION)/.stamp_init_packaged:
	mkdir -p $(DESTDIR)/etc/init.d
	-cp -f $(hal_SRC_DL_DIR)/S23-hal $(DESTDIR)/etc/init.d/
	-chmod +x $(DESTDIR)/etc/init.d/*
	@touch $@

$(BUILD_DIR)/hal-$(hal_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/sbin/hald
	rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{hal-device,lshal,hal-find-by-capability,hal-find-by-property,hal-disable-polling,hal-get-property,hal-lock,hal-set-property,hal-is-caller-locked-out}
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_hal))
SOFTWARE+=hal
endif


# vim:set noexpandtab filetype=make: 
