# Copyright (C) 2007-2010 Timesys Corporation
# lm_sensors rules

# Define common macros for this lm_sensors from include/common.mk
$(eval $(call COMMON_SETUP,lm_sensors))

ifeq (y,$(TSWO_LIBC_UCLIBC))
lm_sensors_BUILD_OPTIONS+=LIBICONV=-liconv
endif

$(BUILD_DIR)/lm_sensors-$(lm_sensors_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/lm_sensors-$(lm_sensors_VERSION)/.stamp_built:
	$(call PRINT_INFO,building lm_sensors $(lm_sensors_VERSION))
	cd $(lm_sensors_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(lm_sensors_MAKE_CMD) \
			$(TARGET_ALIASES) \
			$(lm_sensors_BUILD_OPTIONS) \
			$(TARGET_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/lm_sensors-$(lm_sensors_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing lm_sensors $(lm_sensors_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(lm_sensors_DDIR) && \
		PATH=$(BUILD_PATH) \
			$(FAKEROOT_CMD) $(lm_sensors_MAKE_CMD) DESTDIR=$(TSWO_HOST_INSTALL_DIR) install \
				$(TARGET_ALIASES) \
        $(lm_sensors_BUILD_OPTIONS)
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@
$(BUILD_DIR)/lm_sensors-$(lm_sensors_VERSION)/.stamp_post_host_installed:
	@rm $(TSWO_HOST_INSTALL_DIR)/usr/bin/{sensors,sensors-conf-convert}
	@rm $(TSWO_HOST_INSTALL_DIR)/usr/sbin/{fancontrol,pwmconfig,sensors-detect}
	@touch $@

$(BUILD_DIR)/lm_sensors-$(lm_sensors_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing lm_sensors $(lm_sensors_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(lm_sensors_DDIR) && \
		PATH=$(BUILD_PATH) \
			$(FAKEROOT_CMD) $(lm_sensors_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
				$(TARGET_ALIASES) \
        $(lm_sensors_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/lm_sensors-$(lm_sensors_VERSION)/.stamp_packaged:
	cd $(lm_sensors_DDIR) && \
		PATH=$(BUILD_PATH) \
			$(FAKEROOT_CMD) $(lm_sensors_MAKE_CMD) DESTDIR=$(lm_sensors_PKG_INSTALL_DIR) install \
				$(TARGET_ALIASES) \
        $(lm_sensors_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_lm_sensors))
SOFTWARE+=lm_sensors
endif


# vim:set noexpandtab: 
