# Copyright (C) 2007-2010 Timesys Corporation
# owfs rules

# Define common macros for owfs from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,owfs))

ifneq (y,$(strip $(TSWO_SOFTWARE_swig)))
owfs_CONFIGURE_OPTIONS+=--disable-swig
else
owfs_CONFIGURE_OPTIONS+=--enable-swig
owfs-patch: swig-host-install
endif

ifneq (y,$(strip $(TSWO_SOFTWARE_perl)))
owfs_CONFIGURE_OPTIONS+=--disable-owperl
else
owfs_CONFIGURE_OPTIONS+=--enable-owperl
owfs-patch: perl-host-install
endif

ifneq (y,$(strip $(TSWO_SOFTWARE_php)))
owfs_CONFIGURE_OPTIONS+=--disable-owphp
else
owfs_CONFIGURE_OPTIONS+=--enable-owphp
owfs-patch: php-host-install
endif

ifneq (y,$(strip $(TSWO_SOFTWARE_python)))
owfs_CONFIGURE_OPTIONS+=--disable-owpython
else
owfs_CONFIGURE_OPTIONS+=--enable-owpython
owfs-patch: python-host-install
endif

ifneq (y,$(strip $(TSWO_SOFTWARE_tcl)))
owfs_CONFIGURE_OPTIONS+=--disable-owtcl
else
owfs_CONFIGURE_OPTIONS+=--enable-owtcl
owfs-patch: tcl-host-install
endif

$(BUILD_DIR)/owfs-$(owfs_VERSION)/.stamp_pre_configured:
	cd $(owfs_DDIR) && \
		find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_owfs))
SOFTWARE+=owfs
endif


# vim:set noexpandtab filetype=make: 
