# Copyright (C) 2007-2010 Timesys Corporation
# pciutils rules

# Define common macros for this pciutils from include/common.mk
$(eval $(call COMMON_SETUP,pciutils))


$(BUILD_DIR)/pciutils-$(pciutils_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/sbin/{lspci,setpci,update-pciids}
	@touch $@

$(BUILD_DIR)/pciutils-$(pciutils_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring pciutils $(pciutils_VERSION))
	cd $(pciutils_DDIR)/lib && \
		PATH=$(BUILD_PATH) \
		sys=linux \
		HOST=$(TSWO_FULL_TARGET_NAME) \
		VERSION=$(pciutils_VERSION) \
		IDSDIR=/usr/share \
		./configure \
		$(TARGET_ALIASES)
	@touch $@

$(BUILD_DIR)/pciutils-$(pciutils_VERSION)/.stamp_built:
	$(call PRINT_INFO,building pciutils $(pciutils_VERSION))
	cd $(pciutils_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(MAKE) LDFLAGS="-lz -lresolv" \
		$(TARGET_ALIASES)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_pciutils))
SOFTWARE+=pciutils
endif


# vim:set noexpandtab: 
