# Copyright (C) 2007-2010 Timesys Corporation
# shadow rules

# Define common macros for this shadow from include/common.mk
$(eval $(call COMMON_SETUP,shadow))


$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring shadow $(shadow_VERSION))
	$(call CONFIG_UPDATE,$(shadow_DDIR))
	cd $(shadow_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(shadow_BUILD_OPTIONS) \
		./configure \
			--target=$(TSWO_FULL_TARGET_NAME) \
			--host=$(TSWO_FULL_TARGET_NAME) \
			--build=$(TSWO_BUILD_NAME) \
        	--prefix=/ \
        	--exec-prefix=/ \
			--bindir=/bin \
			--sbindir=/sbin \
			--libdir=/lib \
			--libexecdir=/lib \
			--sysconfdir=/etc \
			--datadir=/usr/share \
			--localstatedir=/var \
			--mandir=/usr/share/man \
			--infodir=/usr/share/info \
			--includedir=/usr/include \
			$(TARGET_CONFIGURE_OPTIONS) \
        	$(shadow_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_varspoolmail_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_varspoolmail_packaged: DESTDIR=$(shadow_PKG_INSTALL_DIR)
$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_varspoolmail_rfs_installed
$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_varspoolmail_packaged
$(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_varspoolmail_rfs_installed $(BUILD_DIR)/shadow-$(shadow_VERSION)/.stamp_varspoolmail_packaged:
	mkdir -p $(DESTDIR)/var/spool/mail
	@touch $@

# if busybox is enabled, shadow must be set up last
ifeq (y,$(TSWO_SOFTWARE_busybox))
shadow-rfs-install: busybox-rfs-install
endif

# add to software list
ifeq (y,$(TSWO_SOFTWARE_shadow))
SOFTWARE+=shadow
endif

# vim:set noexpandtab: 
