# Copyright (C) 2007-2010 Timesys Corporation
# smartmontools rules

# Define common macros for smartmontools from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,smartmontools))


$(BUILD_DIR)/smartmontools-$(smartmontools_VERSION)/.stamp_post_rfs_installed:
	rm -rf $(TSWO_RFS_INSTALL_DIR)/etc/rc.d
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	cp -f $(smartmontools_SRC_DL_DIR)/S40-smartd $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S40-smartd
	@touch $@

$(BUILD_DIR)/smartmontools-$(smartmontools_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/smartmontools-$(smartmontools_VERSION)/.stamp_packaged:
	cd $(smartmontools_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(smartmontools_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(smartmontools_MAKE_CMD) DESTDIR=$(smartmontools_PKG_INSTALL_DIR) install
	rm -rf $(smartmontools_PKG_INSTALL_DIR)/etc/rc.d
	mkdir -p $(smartmontools_PKG_INSTALL_DIR)/etc/init.d/
	cp -f $(smartmontools_SRC_DL_DIR)/S40-smartd $(smartmontools_PKG_INSTALL_DIR)/etc/init.d/
	chmod +x $(smartmontools_PKG_INSTALL_DIR)/etc/init.d/S40-smartd
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_smartmontools))
SOFTWARE+=smartmontools
endif


# vim:set noexpandtab filetype=make: 
