# Copyright (C) 2007-2010 Timesys Corporation
# sysvinit rules

# Define common macros for this sysvinit from include/common.mk
$(eval $(call COMMON_SETUP,sysvinit))

$(BUILD_DIR)/sysvinit-$(sysvinit_VERSION)/.stamp_configured:
	@touch $@
$(BUILD_DIR)/sysvinit-$(sysvinit_VERSION)/.stamp_host_installed:
	@touch $@
$(BUILD_DIR)/sysvinit-$(sysvinit_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing sysvinit $(sysvinit_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	cd $(sysvinit_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(sysvinit_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(sysvinit_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	-cp -f $(sysvinit_SRC_DL_DIR)/inittab $(TSWO_RFS_INSTALL_DIR)/etc/
	-cp -f $(sysvinit_SRC_DL_DIR)/rc* $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	-cp -f $(sysvinit_SRC_DL_DIR)/S[0-9]* $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/*
	@touch $@
$(BUILD_DIR)/sysvinit-$(sysvinit_VERSION)/.stamp_packaged:
	@mkdir -p $(sysvinit_PKG_INSTALL_DIR)/etc/init.d
	cd $(sysvinit_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(sysvinit_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(sysvinit_MAKE_CMD) DESTDIR=$(sysvinit_PKG_INSTALL_DIR) install
	-cp -f $(sysvinit_SRC_DL_DIR)/inittab $(sysvinit_PKG_INSTALL_DIR)/etc/
	-cp -f $(sysvinit_SRC_DL_DIR)/rc* $(sysvinit_PKG_INSTALL_DIR)/etc/init.d/
	-cp -f $(sysvinit_SRC_DL_DIR)/S[0-9]* $(sysvinit_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(sysvinit_PKG_INSTALL_DIR)/etc/init.d/*
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_sysvinit))
SOFTWARE+=sysvinit
endif


# vim:set noexpandtab: 
