# Copyright (C) 2007-2010 Timesys Corporation
# uf1050a-driver rules

# Define common macros for uf1050a-driver from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,uf1050a-driver))


$(BUILD_DIR)/uf1050a-driver-$(uf1050a-driver_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/uf1050a-driver-$(uf1050a-driver_VERSION)/.stamp_built:
	@touch $@

$(BUILD_DIR)/uf1050a-driver-$(uf1050a-driver_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing uf1050a-driver $(uf1050a-driver_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/{lib/firmware/unifi-sdio-1,usr/sbin,etc/init.d}
	cd $(uf1050a-driver_DDIR)/linux-$(kernel_VERSION) && \
		cp -rf firmware/* $(TSWO_RFS_INSTALL_DIR)/lib/firmware/unifi-sdio-1/ && \
		cp -rf module/* $(TSWO_RFS_INSTALL_DIR)/lib/firmware/unifi-sdio-1/ && \
		cp -rf usr/sbin/* $(TSWO_RFS_INSTALL_DIR)/usr/sbin/
	cp -rf $(uf1050a-driver_SRC_DL_DIR)/S77-uf1050a $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S77-uf1050a
	@touch $@

$(BUILD_DIR)/uf1050a-driver-$(uf1050a-driver_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/uf1050a-driver-$(uf1050a-driver_VERSION)/.stamp_packaged:
	@mkdir -p $(uf1050a-driver_PKG_INSTALL_DIR)/{lib/firmware/unifi-sdio-1,usr/sbin,etc/init.d}
	cd $(uf1050a-driver_DDIR)/linux-$(kernel_VERSION) && \
		cp -rf firmware/* $(uf1050a-driver_PKG_INSTALL_DIR)/lib/firmware/unifi-sdio-1/ && \
		cp -rf module/* $(uf1050a-driver_PKG_INSTALL_DIR)/lib/firmware/unifi-sdio-1/ && \
		cp -rf usr/sbin/* $(uf1050a-driver_PKG_INSTALL_DIR)/usr/sbin/
	-cp -rf $(uf1050a-driver_SRC_DL_DIR)/S77-uf1050a $(uf1050a-driver_PKG_INSTALL_DIR)/etc/init.d
	-chmod +x $(uf1050a-driver_PKG_INSTALL_DIR)/etc/init.d/S77-uf1050a
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_uf1050a-driver))
SOFTWARE+=uf1050a-driver
endif


# vim:set noexpandtab filetype=make: 
