# Copyright (C) 2007-2010 Timesys Corporation
# OpenIPMI rules

# Define common macros for OpenIPMI from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,OpenIPMI))

OpenIPMI_OPTIONAL_DEPS=net-snmp perl python tcl tk
OpenIPMI_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(OpenIPMI_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
OpenIPMI-patch: $(OpenIPMI_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/OpenIPMI-$(OpenIPMI_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{ipmicmd,openipmish,ipmish,ipmi_ui,rmcp_ping,openipmicmd,ipmilan,solterm}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_OpenIPMI))
SOFTWARE+=OpenIPMI
endif


# vim:set noexpandtab filetype=make: 
