# Copyright (C) 2007-2010 Timesys Corporation
# audit rules

# Define common macros for this audit from include/common.mk
$(eval $(call COMMON_SETUP,audit))

# XXX THIS REQUIRES PTHREAD_YIELD (not in uClibc) and WCHAR

$(BUILD_DIR)/audit-$(audit_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/sbin/{*audispd,*auditctl,*auditd,*aureport,*ausearch,*autrace}
	@touch $@

$(BUILD_DIR)/audit-$(audit_VERSION)/.stamp_pre_configured:
	-@cd $(audit_DDIR) && if [ ! -f configure ]; then autoreconf;fi
	-@cd $(audit_DDIR) && chmod +x configure
	@cd $(audit_DDIR) && \
		find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@cd $(audit_DDIR) && \
		sed -i -r \
			-e 's/\-I\/usr\/include\/\$$\(PYLIBVER\)//' \
			-e "s|(old)?includedir = @(old)?includedir@|\1includdir = $(TSWO_HOST_INSTALL_DIR)/include|" \
		swig/Makefile.*
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_audit))
SOFTWARE+=audit
endif


# vim:set noexpandtab: 
