# Copyright (C) 2007-2010 Timesys Corporation
# db rules

# Define common macros for this db from include/common.mk
$(eval $(call COMMON_SETUP,db))

DB_BUILD_DIR=$(db_DDIR)/build
$(BUILD_DIR)/db-$(db_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring db $(db_VERSION))
	mkdir -p $(DB_BUILD_DIR)
	cd $(DB_BUILD_DIR) && \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		PATH=$(BUILD_PATH) \
        $(db_BUILD_OPTIONS) \
		../dist/configure \
			--target=$(TSWO_FULL_TARGET_NAME) \
			--host=$(TSWO_FULL_TARGET_NAME) \
			--build=$(TSWO_BUILD_NAME) \
			--enable-dynamic \
			--disable-debug \
        	--prefix=/usr \
        	--exec-prefix=/usr \
        	--sysconfdir=/etc \
			--bindir=/usr/bin \
			--sbindir=/usr/sbin \
			--libdir=/usr/lib \
			--libexecdir=/usr/lib \
			--sysconfdir=/etc \
			--datadir=/usr/share \
			--localstatedir=/var \
			--mandir=/usr/share/man \
			--infodir=/usr/share/info \
			--includedir=/usr/include \
			$(TARGET_CONFIGURE_OPTIONS) \
        	$(db_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/db-$(db_VERSION)/.stamp_built:
	$(call PRINT_INFO,building db $(db_VERSION))
	cd $(DB_BUILD_DIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_BUILD_OPTIONS) \
        $(db_BUILD_OPTIONS) \
		$(MAKE)
	@touch $@

$(BUILD_DIR)/db-$(db_VERSION)/.stamp_packaged:
	cd $(DB_BUILD_DIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(MAKE) DESTDIR=$(db_PKG_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/db-$(db_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing db $(db_VERSION) to the RFS)
	cd $(DB_BUILD_DIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(MAKE) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/db-$(db_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{db_codegen,db_archive,db_checkpoint,db_deadlock,db_dump,db_hotbackup,db_load,db_printlog,db_recover,db_stat,db_upgrade,db_verify}
	@touch $@

$(BUILD_DIR)/db-$(db_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing db $(db_VERSION) to the host)
	cd $(DB_BUILD_DIR) && \
		PATH=$(BUILD_PATH) \
		$(FAKEROOT_CMD) $(MAKE) DESTDIR=$(TSWO_HOST_INSTALL_DIR) install
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_db))
SOFTWARE+=db
endif


# vim:set noexpandtab: 
