# Copyright (C) 2007-2010 Timesys Corporation
# eggdbus rules

# Define common macros for eggdbus from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,eggdbus))

eggdbus-patch: eggdbus-fake-host-install

$(BUILD_DIR)/eggdbus-$(eggdbus_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{eggdbus-glib-genmarshal,eggdbus-binding-tool}
	@touch $@

eggdbus_BUILD_OPTIONS+=HOST_eggdbus_glib_genmarshal=$(TSWO_FAKE_INSTALL_DIR)/bin/eggdbus-glib-genmarshal
eggdbus_BUILD_OPTIONS+=HOST_eggdbus_binding_tool=$(TSWO_FAKE_INSTALL_DIR)/bin/eggdbus-binding-tool

$(BUILD_DIR)/eggdbus-$(eggdbus_VERSION)/.stamp_fake_host_installed:
	$(call PRINT_INFO,building eggdbus temporary host installation)
	mkdir -p $(@D)/fake_host_build
	$(INFLATE$(suffix $(eggdbus_SOURCE))) $(eggdbus_SRC_DL_DIR)/$(eggdbus_SOURCE) | \
		$(TAR) -C $(@D)/fake_host_build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(eggdbus_PATCHES),$(call APPLY_PATCH,$(@D)/fake_host_build/$(eggdbus_WORKINGDIR),$(eggdbus_SRC_DL_DIR)/$(patch)))
	@cd $(eggdbus_DIR)/fake_host_build/$(eggdbus_WORKINGDIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		./configure --prefix=$(TSWO_FAKE_INSTALL_DIR) --disable-man-pages --disable-gtk-doc-html \
			PKG_CONFIG_PATH=$(TSWO_FAKE_INSTALL_DIR)/lib/pkgconfig
	@cd $(eggdbus_DIR)/fake_host_build/$(eggdbus_WORKINGDIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(MAKE) \
			HOST_eggdbus_glib_genmarshal=$$PWD/src/eggdbus/eggdbus-glib-genmarshal \
			HOST_eggdbus_binding_tool=$$PWD/src/eggdbus/eggdbus-binding-tool
	@cd $(eggdbus_DIR)/fake_host_build/$(eggdbus_WORKINGDIR) && \
		PATH=$(TSWO_FAKE_INSTALL_DIR)/bin:$$PATH \
		$(MAKE) install
	@touch $@
eggdbus-fake-host-install: eggdbus-unpack dbus-glib-fake-host-install $(BUILD_DIR)/eggdbus-$(eggdbus_VERSION)/.stamp_fake_host_installed


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_eggdbus))
SOFTWARE+=eggdbus
endif


# vim:set noexpandtab filetype=make: 
