# Copyright (C) 2007-2010 Timesys Corporation
$(eval $(call COMMON_SETUP,expect))

$(BUILD_DIR)/expect-$(expect_VERSION)/.stamp_pre_configured:
	cd $(expect_DDIR) && autoconf
	@sed -i -e 's,^#include "tcl.h",#include "tclInt.h",g' \
		$(expect_DDIR)/exp_{inter,command}.c
	@touch $@

$(BUILD_DIR)/expect-$(expect_VERSION)/.stamp_built:
	$(call PRINT_INFO,building expect $(expect_VERSION))
	cd $(expect_DDIR) && \
	PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
	        $(expect_BUILD_OPTIONS) \
		$(expect_MAKE_CMD) \
		TCLHDIRDASHI="-I../../tcl-$(TSWO_tcl_VERSION)/$(TSWO_tcl_WORKINGDIR) -I../../tcl-$(TSWO_tcl_VERSION)/$(TSWO_tcl_WORKINGDIR)/../generic"
	@touch $@

$(BUILD_DIR)/expect-$(expect_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing expect $(expect_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(expect_DDIR) && \
	PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        	$(expect_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(expect_MAKE_CMD) \
		INSTALL_ROOT=$(TSWO_RFS_INSTALL_DIR) SCRIPTS= install
	@touch $@

$(BUILD_DIR)/expect-$(expect_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing expect $(expect_VERSION) to host)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(expect_DDIR) && \
	PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        	$(expect_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(expect_MAKE_CMD) \
		INSTALL_ROOT=$(TSWO_HOST_INSTALL_DIR) SCRIPTS= install
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

$(BUILD_DIR)/expect-$(expect_VERSION)/.stamp_packaged:
	cd $(expect_DDIR) && \
	PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
	        $(expect_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(expect_MAKE_CMD) \
		INSTALL_ROOT=$(expect_PKG_INSTALL_DIR) SCRIPTS= install
	@touch $@

ifeq (y,$(TSWO_SOFTWARE_expect))
SOFTWARE+=expect
endif
