# Copyright (C) 2007-2010 Timesys Corporation
# file rules

# Define common macros for this file from include/common.mk
$(eval $(call COMMON_SETUP,file))

$(BUILD_DIR)/file-$(file_VERSION)/.stamp_pre_configured: $(BUILD_DIR)/file-$(file_VERSION)/.stamp_fake_file

$(BUILD_DIR)/file-$(file_VERSION)/.stamp_fake_file: 
	$(call PRINT_INFO,building file temporary host installation)
	mkdir -p $(file_DIR)/fake_host_build
	cd $(file_DIR)/fake_host_build && \
		$(INFLATE$(suffix $(file_SOURCE))) $(file_SRC_DL_DIR)/$(file_SOURCE) | \
			$(TAR) -C $(@D)/fake_host_build $(TSWO_TAR_OPTIONS) -
	$(foreach patch,$(file_PATCHES),$(call APPLY_PATCH,$(file_DIR)/fake_host_build/$(file_WORKINGDIR),$(file_SRC_DL_DIR)/$(patch)))
	cd $(file_DIR)/fake_host_build/$(file_WORKINGDIR) && \
		./configure --prefix=$(BUILD_DIR)/fake
	cd $(file_DIR)/fake_host_build/$(file_WORKINGDIR) && \
		$(MAKE)
	cd $(file_DIR)/fake_host_build/$(file_WORKINGDIR) && \
		$(MAKE) install
	@touch $@

$(BUILD_DIR)/file-$(file_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/file
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_file))
SOFTWARE+=file
endif


# vim:set noexpandtab: 
