# geoclue rules

# Define common macros for geoclue from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,geoclue))

geoclue_OPTIONAL_DEPS=gypsy
geoclue_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(geoclue_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
geoclue-patch: $(geoclue_OPTIONAL_DEPS_TARGETS)

ifeq (y,$(strip $(TSWO_SOFTWARE_gtk)))
geoclue-unpack: gtk-host-install
endif
ifeq (y,$(strip $(TSWO_SOFTWARE_gammu)))
geoclue-unpack: gammu-host-install
endif
ifeq (y,$(strip $(TSWO_SOFTWARE_gypsy)))
geoclue-unpack: gypsy-host-install
endif

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_geoclue))
SOFTWARE+=geoclue
endif


# vim:set noexpandtab filetype=make: 
