# Copyright (C) 2007-2010 Timesys Corporation
# groff rules

# Define common macros for this groff from include/common.mk
$(eval $(call COMMON_SETUP,groff))

$(BUILD_DIR)/groff-$(groff_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/groff-$(groff_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing groff $(groff_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(groff_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(groff_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(groff_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	ln -sf soelim $(TSWO_RFS_INSTALL_DIR)/usr/bin/zsoelim
	ln -sf eqn $(TSWO_RFS_INSTALL_DIR)/usr/bin/geqn
	ln -sf tbl $(TSWO_RFS_INSTALL_DIR)/usr/bin/gtbl
	@touch $@

$(BUILD_DIR)/groff-$(groff_VERSION)/.stamp_packaged:
	cd $(groff_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(groff_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(groff_MAKE_CMD) DESTDIR=$(groff_PKG_INSTALL_DIR) install
	ln -sf soelim $(groff_PKG_INSTALL_DIR)/usr/bin/zsoelim
	ln -sf eqn $(groff_PKG_INSTALL_DIR)/usr/bin/geqn
	ln -sf tbl $(groff_PKG_INSTALL_DIR)/usr/bin/gtbl
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_groff))
SOFTWARE+=groff
endif


# vim:set noexpandtab: 
