# Copyright (C) 2007-2010 Timesys Corporation
# icu rules

# Define common macros for icu from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,icu))

$(BUILD_DIR)/icu-$(icu_VERSION)/.stamp_pre_configured:
	cd $(icu_DDIR) && \
		./configure \
			--enable-static --disable-shared --disable-threads && \
		make
	cd $(icu_DDIR) && \
		cp -rf bin bin.native
	cd $(icu_DDIR) && \
		make distclean
	cd $(icu_DDIR) && \
		cp -rf bin.native bin
	cd $(icu_DDIR) && \
		$(SED) -i -re 's/ tools / /' Makefile.in
	@touch $@

$(BUILD_DIR)/icu-$(icu_VERSION)/.stamp_post_host_installed:
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/bin/uconv
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_icu))
SOFTWARE+=icu
endif


# vim:set noexpandtab filetype=make: 
