# Copyright (C) 2007-2010 Timesys Corporation
# libarchive rules

# Define common macros for libarchive from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libarchive))

libarchive_OPTIONAL_DEPS=bzip2 cpio gzip lzma lzo pax tar unzip zip openssl
libarchive_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(libarchive_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
libarchive-patch: $(libarchive_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/libarchive-$(libarchive_VERSION)/.stamp_post_host_installed:
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{bsdcpio,bsdtar}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libarchive))
SOFTWARE+=libarchive
endif


# vim:set noexpandtab filetype=make: 
