# Copyright (C) 2007-2010 Timesys Corporation
# microcom rules

# Define common macros for microcom from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,microcom))


$(BUILD_DIR)/microcom-$(microcom_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/microcom-$(microcom_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing microcom $(microcom_VERSION) to the RFS)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/bin
	cd $(microcom_DDIR) && \
		cp -f microcom $(TSWO_RFS_INSTALL_DIR)/bin/
	@touch $@

$(BUILD_DIR)/microcom-$(microcom_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/microcom-$(microcom_VERSION)/.stamp_packaged:
	mkdir -p $(microcom_PKG_INSTALL_DIR)/bin
	cd $(microcom_DDIR) && \
		cp -f microcom $(microcom_PKG_INSTALL_DIR)/bin/
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_microcom))
SOFTWARE+=microcom
endif


# vim:set noexpandtab filetype=make: 
