# Copyright (C) 2007-2010 Timesys Corporation
# nspr rules

# Define common macros for nspr from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,nspr))

$(BUILD_DIR)/nspr-$(nspr_VERSION)/.stamp_pre_built:
	cd $(nspr_DDIR) && \
		$(SED) -i -re 's|$(strip $(call UNQUOTE_VAR,$(TARGET_CFLAGS)))||g' config/autoconf.mk
	cd $(nspr_DDIR) && \
		$(MAKE) -C config CC=$(HOSTCC)
	@touch $@

$(BUILD_DIR)/nspr-$(nspr_VERSION)/.stamp_files_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/nspr-$(nspr_VERSION)/.stamp_files_packaged: DESTDIR=$(nspr_PKG_INSTALL_DIR)
$(BUILD_DIR)/nspr-$(nspr_VERSION)/.stamp_files_host_installed: DESTDIR=$(TSWO_HOST_INSTALL_DIR)
$(BUILD_DIR)/nspr-$(nspr_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/nspr-$(nspr_VERSION)/.stamp_files_rfs_installed
$(BUILD_DIR)/nspr-$(nspr_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/nspr-$(nspr_VERSION)/.stamp_files_packaged
$(BUILD_DIR)/nspr-$(nspr_VERSION)/.stamp_post_host_installed: $(BUILD_DIR)/nspr-$(nspr_VERSION)/.stamp_files_host_installed
$(BUILD_DIR)/nspr-$(nspr_VERSION)/.stamp_files_rfs_installed $(BUILD_DIR)/nspr-$(nspr_VERSION)/.stamp_files_packaged $(BUILD_DIR)/nspr-$(nspr_VERSION)/.stamp_files_host_installed:
	mkdir -p $(DESTDIR)/usr/lib/pkgconfig
	-cp -f $(nspr_SRC_DL_DIR)/*.pc $(DESTDIR)/usr/lib/pkgconfig/
	-$(SED) -i.bak -e "s@%NSPR_VERSION%@$$($(TSWO_HOST_INSTALL_DIR)/bin/nspr-config --version)@" \
       -e "s@%FULL_NSPR_LIBS%@$$($(TSWO_HOST_INSTALL_DIR)/bin/nspr-config --libs)@" \
       -e "s@%FULL_NSPR_CFLAGS%@$$($(TSWO_HOST_INSTALL_DIR)/bin/nspr-config --cflags)@" \
    $(DESTDIR)/usr/lib/pkgconfig/nspr.pc

	@touch $@


#$(BUILD_DIR)/nspr-$(nspr_VERSION)/.stamp_post_host_installed:
#	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_nspr))
SOFTWARE+=nspr
endif


# vim:set noexpandtab filetype=make: 
