# Copyright (C) 2007-2010 Timesys Corporation
# shared-mime-info rules

# Define common macros for shared-mime-info from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,shared-mime-info))


$(BUILD_DIR)/shared-mime-info-$(shared-mime-info_VERSION)/.stamp_post_rfs_installed:
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	-cp -f $(shared-mime-info_SRC_DL_DIR)/S90-update-mime-database $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S90-update-mime-database
	@touch $@

$(BUILD_DIR)/shared-mime-info-$(shared-mime-info_VERSION)/.stamp_packaged:
	cd $(shared-mime-info_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(shared-mime-info_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(shared-mime-info_MAKE_CMD) DESTDIR=$(shared-mime-info_PKG_INSTALL_DIR) install
	mkdir -p $(shared-mime-info_PKG_INSTALL_DIR)/etc/init.d
	-cp -f $(shared-mime-info_SRC_DL_DIR)/S90-update-mime-database $(shared-mime-info_PKG_INSTALL_DIR)/etc/init.d/
	chmod +x $(shared-mime-info_PKG_INSTALL_DIR)/etc/init.d/S90-update-mime-database
	@touch $@

$(BUILD_DIR)/shared-mime-info-$(shared-mime-info_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/bin/update-mime-database
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_shared-mime-info))
SOFTWARE+=shared-mime-info
endif


# vim:set noexpandtab filetype=make: 
