# Copyright (C) 2007-2010 Timesys Corporation
# tslib rules


$(eval $(call COMMON_SETUP,tslib))

tslib-fetch: $(tslib_SRC_DL_DIR)/tslib_config

$(tslib_SRC_DL_DIR)/tslib_config:
	$(call PRINT_INFO,fetching tslib configuration)
	$(call FETCH_REMOTE,$(tslib_SRC_DL_DIR),$(TSWO_TSLIB_CONFIG))
	cp -f $(tslib_SRC_DL_DIR)/$(notdir $(call UNQUOTE_VAR,$(TSWO_TSLIB_CONFIG))) $@

$(BUILD_DIR)/tslib-$(tslib_VERSION)/.stamp_pre_configured:
	@cp -f $(tslib_SRC_DL_DIR)/tslib_config $(tslib_DDIR)/etc/ts.conf
	@cd $(tslib_DDIR) && touch README AUTHORS NEWS ChangeLog COPYING
	@cd $(tslib_DDIR) && autoreconf -i
	@touch $@

# XXX this was used during post configure to enable raw input
# we are now using target/configs/tslib/*/ts.conf
#@cd $(tslib_DDIR) && \
#	$(SED) -i -e "s/^# \(module_raw input\)/\1/" etc/ts.conf

$(BUILD_DIR)/tslib-$(tslib_VERSION)/.stamp_post_configured:
	@cd $(tslib_DDIR) && \
		$(SED) -i -re 's/rpl_malloc/malloc/g' config.h
	@touch $@

$(BUILD_DIR)/tslib-$(tslib_VERSION)/.stamp_packaged:
	cd $(tslib_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(tslib_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(tslib_MAKE_CMD) DESTDIR=$(tslib_PKG_INSTALL_DIR) install
	mkdir -p $(tslib_PKG_INSTALL_DIR)/etc/init.d
	-cp -f $(tslib_SRC_DL_DIR)/S70-calibrate-touchscreen $(tslib_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(tslib_PKG_INSTALL_DIR)/etc/init.d/S70-calibrate-touchscreen
	@touch $@

$(BUILD_DIR)/tslib-$(tslib_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,performing post install steps for tslib)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	-cp -f $(tslib_SRC_DL_DIR)/S70-calibrate-touchscreen $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S70-calibrate-touchscreen
	@touch $(@);

$(BUILD_DIR)/tslib-$(tslib_VERSION)/.stamp_post_host_installed:
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{ts_test,ts_calibrate,ts_print,ts_harvest,ts_print_raw}
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_tslib))
SOFTWARE+=tslib
endif


# vim:set noexpandtab filetype=make: 
