# Copyright (C) 2007-2010 Timesys Corporation
# zlib rules

# Define common macros for this zlib from include/common.mk
$(eval $(call COMMON_SETUP,zlib))


$(BUILD_DIR)/zlib-$(zlib_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring zlib $(zlib_VERSION))
	cd $(@D)/zlib-$(zlib_VERSION) && \
		PATH=$(BUILD_PATH) \
		CC=$(TSWO_FULL_TARGET_NAME)-gcc \
		./configure \
			--prefix=/usr \
			$(zlib_CONFIGURE_OPTIONS)
	@touch $(@)

$(BUILD_DIR)/zlib-$(zlib_VERSION)/.stamp_built:
	$(call PRINT_INFO,building zlib $(zlib_VERSION))
	cd $(zlib_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(zlib_MAKE_CMD) \
      $(zlib_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/zlib-$(zlib_VERSION)/.stamp_packaged:
	cd $(zlib_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(zlib_BUILD_OPTIONS) \
		$(MAKE) prefix=$(zlib_PKG_INSTALL_DIR)/usr install
	@touch $@

$(BUILD_DIR)/zlib-$(zlib_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing zlib to host)
	cd $(@D)/zlib-$(zlib_VERSION) && \
		$(zlib_BUILD_OPTIONS) \
		$(MAKE) prefix=$(TSWO_HOST_INSTALL_DIR) install
	@touch $(@)

$(BUILD_DIR)/zlib-$(zlib_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing zlib to the RFS)
	cd $(@D)/zlib-$(zlib_VERSION) && \
		$(zlib_BUILD_OPTIONS) \
		$(MAKE) prefix=$(TSWO_RFS_INSTALL_DIR)/usr install
	@touch $(@)


# add to software list
ifeq (y,$(TSWO_SOFTWARE_zlib))
SOFTWARE+=zlib
endif


# vim:set noexpandtab: 
