# Copyright (C) 2007-2009 Timesys Corporation

$(eval $(call COMMON_SETUP,gcc))

TSWO_COMPILER_LANGUAGES?=c
ifeq (y,$(TSWO_gcc_BUILD_CXX))
TSWO_COMPILER_LANGUAGES:=$(TSWO_COMPILER_LANGUAGES),c++
endif

ifneq ($(LIBC),uClibc)
STAGE3_LIBC_OPTS=--with-headers=$(TSWO_HOST_INSTALL_DIR)/include
else
STAGE3_LIBC_OPTS=--disable-tls
endif

$(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_stage3_built:
	$(call PRINT_INFO,gcc build stage3)
	@if [ -d $(@D)/gcc-$(gcc_VERSION)-stage3 ]; then rm -rf $(@D)/gcc-$(gcc_VERSION)-stage3;fi
	@mkdir -p $(@D)/gcc-$(gcc_VERSION)-stage3
	cd $(@D)/gcc-$(gcc_VERSION)-stage3 && rm -rf config.cache 2>/dev/null && \
		CFLAGS_FOR_BUILD="$(HOST_CFLAGS)" LDFLAGS_FOR_BUILD="$(HOST_LDFLAGS)" $(call UNQUOTE_VAR,$(TSWO_HOST_BUILD_OPTIONS)) \
		$(gcc_BUILD_OPTIONS) \
		$(@D)/gcc-$(gcc_VERSION)/configure \
			--target=$(TSWO_FULL_TARGET_NAME) \
			--host=$(TSWO_HOST_NAME) \
			--build=$(TSWO_BUILD_NAME) \
        	--prefix=$(TSWO_HOST_INSTALL_DIR) \
			--with-sysroot=$(TSWO_HOST_INSTALL_DIR) \
			$(STAGE3_LIBC_OPTS) \
			--enable-languages=$(TSWO_COMPILER_LANGUAGES) \
			--with-gmp=$(GMP_HOST_INSTALL_DIR) \
			--with-mpfr=$(MPFR_HOST_INSTALL_DIR) \
			$(HOST_CONFIGURE_OPTIONS) \
        	$(gcc_CONFIGURE_OPTIONS)
	cd $(@D)/gcc-$(gcc_VERSION)-stage3 && \
		PATH=$(BUILD_PATH) \
		$(gcc_MAKE_CMD)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(@D)/gcc-$(gcc_VERSION)-stage3 && \
		PATH=$(BUILD_PATH) \
		$(gcc_MAKE_CMD) install
ifeq (y,$(strip $(call UNQUOTE_VAR,$(TSWO_LIBC_UCLIBC))))
ifeq (y,$(strip $(call UNQUOTE_VAR,$(TSWO_powerpc_405))))
	@$(call PRINT_INFO,working around libgcc uClibc floating point bug)
	@rm -f $(TSWO_HOST_INSTALL_DIR)/$(TSWO_FULL_TARGET_NAME)/lib/nof/libgcc_s.so
	@mv -f $(@D)/gcc-$(gcc_VERSION)-stage3 $(@D)/gcc-$(gcc_VERSION)-stage3~
endif
endif
	cp -fP $(TSWO_HOST_INSTALL_DIR)/$(TSWO_FULL_TARGET_NAME)/lib/libgcc_s* $(TSWO_HOST_INSTALL_DIR)/lib
ifeq (y,$(TSWO_gcc_BUILD_CXX))
	if [ -f $(TSWO_HOST_INSTALL_DIR)/$(TSWO_FULL_TARGET_NAME)/lib/libstdc++.so ]; then \
		cp -fP $(TSWO_HOST_INSTALL_DIR)/$(TSWO_FULL_TARGET_NAME)/lib/libstdc++.so* $(TSWO_HOST_INSTALL_DIR)/usr/lib; \
	fi
	if [ -f $(TSWO_HOST_INSTALL_DIR)/$(TSWO_FULL_TARGET_NAME)/lib/libstdc++.a ]; then \
		cp -fP $(TSWO_HOST_INSTALL_DIR)/$(TSWO_FULL_TARGET_NAME)/lib/libstdc++.a $(TSWO_HOST_INSTALL_DIR)/usr/lib; \
	fi
endif
	rm -f $(TSWO_HOST_INSTALL_DIR)/lib/libiberty.a
	$(call SETUP_CCACHE)
	@touch $(@)

ifneq ($(LIBC),uClibc)
STAGE2_LIBC_OPTS=--with-headers=$(TSWO_HOST_INSTALL_DIR)/include
else
STAGE2_LIBC_OPTS=
endif

# abberation for x86 arches
ifeq (y,$(TSWO_i386))
STAGE2_LIBC_OPTS+= --with-arch=i486
endif
ifeq (y,$(TSWO_x86_64_amd64))
STAGE2_LIBC_OPTS+= --with-arch=athlon64 --disable-multilib
endif
ifeq (y,$(TSWO_x86_64_intel64))
STAGE2_LIBC_OPTS+= --with-arch=nocona --disable-multilib
endif
ifeq (y,$(TSWO_x86_64_core2))
STAGE2_LIBC_OPTS+= --with-arch=core2 --disable-multilib
endif


ifneq (4.2.,$(findstring 4.2.,$(TSWO_gcc_VERSION)))
ifneq (cs200,$(findstring cs200,$(TSWO_gcc_VERSION)))
ifneq (4.2-cs,$(findstring 4.2-cs,$(TSWO_gcc_VERSION)))
STAGE2_LIBGCC_BUILD_TARGET=all-target-libgcc
STAGE2_LIBGCC_INSTALL_TARGET=install-target-libgcc
endif
endif
endif

STAGE2_gcc_CONFIGURE_OPTIONS=
ifeq (y,$(strip $(call UNQUOTE_VAR,$(TSWO_sh4))))
STAGE2_gcc_CONFIGURE_OPTIONS=$(gcc_CONFIGURE_OPTIONS)
endif
ifeq (y,$(TSWO_mips))
ifeq (y,$(TSWO_NO_FPU))
STAGE2_gcc_CONFIGURE_OPTIONS+=--with-float=soft
endif
endif

ifeq (y,$(TSWO_powerpc_e500))
STAGE2_gcc_CONFIGURE_OPTIONS+=--with-float=hard --with-long-double-128 --with-cpu=8540 --enable-e500_double --disable-multilib
endif

ifeq (y,$(TSWO_sparc))
ifeq (y,$(TSWO_NO_FPU))
STAGE2_gcc_CONFIGURE_OPTIONS+=--without-fp --disable-multilib
endif
endif

$(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_stage2_built:
	$(call PRINT_INFO,gcc build stage2)
	@if [ -d $(@D)/gcc-$(gcc_VERSION)-stage2 ]; then rm -rf $(@D)/gcc-$(gcc_VERSION)-stage2;fi
	@mkdir -p $(@D)/gcc-$(gcc_VERSION)-stage2
	cd $(@D)/gcc-$(gcc_VERSION)-stage2 && rm -rf config.cache 2>/dev/null && \
		CFLAGS_FOR_BUILD="$(HOST_CFLAGS)" LDFLAGS_FOR_BUILD="$(HOST_LDFLAGS)" $(call UNQUOTE_VAR,$(TSWO_HOST_BUILD_OPTIONS)) \
		$(@D)/gcc-$(gcc_VERSION)/configure \
			--target=$(TSWO_FULL_TARGET_NAME) \
			--host=$(TSWO_HOST_NAME) \
			--build=$(TSWO_BUILD_NAME) \
        	--prefix=$(TSWO_HOST_INSTALL_DIR) \
			--with-sysroot=$(TSWO_HOST_INSTALL_DIR) \
			--with-build-sysroot=$(TSWO_HOST_INSTALL_DIR) \
			--disable-libgcj --disable-libgomp --disable-libmudflap --disable-libssp \
			--with-gnu-ld --with-gnu-as \
			--disable-nls \
			--disable-decimal-float \
			$(STAGE2_LIBC_OPTS) \
			--enable-languages=$(TSWO_COMPILER_LANGUAGES) \
			--with-gmp=$(GMP_HOST_INSTALL_DIR) \
			--with-mpfr=$(MPFR_HOST_INSTALL_DIR) \
			$(HOST_CONFIGURE_OPTIONS) \
        	$(STAGE2_gcc_CONFIGURE_OPTIONS)
	cd $(@D)/gcc-$(gcc_VERSION)-stage2 && \
		HOSTCC=gcc \
		PATH=$(BUILD_PATH) \
		$(gcc_MAKE_CMD) all-gcc $(STAGE2_LIBGCC_BUILD_TARGET)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	cd $(@D)/gcc-$(gcc_VERSION)-stage2 && \
		PATH=$(BUILD_PATH) \
		$(gcc_MAKE_CMD) install-gcc $(STAGE2_LIBGCC_INSTALL_TARGET)
	$(call SETUP_CCACHE)
	@touch $(@)

ifneq ($(LIBC),uClibc)
ifeq (y,$(strip $(TSWO_gcc_REQUIRES_PRECONFIGURE_HEADERS)))
STAGE1_LIBC_OPTS=--with-headers=$(TSWO_HOST_INSTALL_DIR)/include/
else
STAGE1_LIBC_OPTS=--without-headers --with-newlib
endif
else
STAGE1_LIBC_OPTS=--with-headers=$(TSWO_HOST_INSTALL_DIR)/include/
endif

ifneq (4.2.,$(findstring 4.2.,$(TSWO_gcc_VERSION)))
ifneq (cs200,$(findstring cs200,$(TSWO_gcc_VERSION)))
ifneq (4.2-cs,$(findstring 4.2-cs,$(TSWO_gcc_VERSION)))
STAGE1_LIBGCC_BUILD_TARGET=all-target-libgcc
STAGE1_LIBGCC_INSTALL_TARGET=install-target-libgcc
endif
endif
endif

STAGE1_gcc_CONFIGURE_OPTIONS=
ifeq (y,$(TSWO_mips))
ifeq (y,$(TSWO_NO_FPU))
STAGE1_gcc_CONFIGURE_OPTIONS+=--with-float=soft
endif
endif

ifeq (y,$(TSWO_powerpc_e500))
STAGE1_gcc_CONFIGURE_OPTIONS+=--with-float=hard --with-long-double-128 --with-cpu=8540 --enable-e500_double --disable-multilib
endif

ifeq (y,$(TSWO_sparc))
ifeq (y,$(TSWO_NO_FPU))
STAGE1_gcc_CONFIGURE_OPTIONS+=--without-fp --disable-multilib
endif
endif

$(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_stage1_built:
	$(call PRINT_INFO,gcc build stage1)
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)
	@if [ -d $(@D)/gcc-$(gcc_VERSION)-stage1 ]; then rm -rf $(@D)/gcc-$(gcc_VERSION)-stage1;fi
	@mkdir -p $(@D)/gcc-$(gcc_VERSION)-stage1
	cd $(@D)/gcc-$(gcc_VERSION)-stage1 && rm -rf config.cache 2>/dev/null && \
		CFLAGS_FOR_BUILD="$(HOST_CFLAGS)" LDFLAGS_FOR_BUILD="$(HOST_LDFLAGS)" $(call UNQUOTE_VAR,$(TSWO_HOST_BUILD_OPTIONS)) \
		$(@D)/gcc-$(gcc_VERSION)/configure \
			--target=$(TSWO_FULL_TARGET_NAME) \
			--host=$(TSWO_HOST_NAME) \
			--build=$(TSWO_BUILD_NAME) \
        	--prefix=$(TSWO_HOST_INSTALL_DIR) \
			--with-sysroot=$(TSWO_HOST_INSTALL_DIR)/ \
			$(STAGE1_LIBC_OPTS) \
			--disable-shared --disable-threads --with-gnu-ld --with-gnu-as \
			--disable-libgcj --disable-libgomp --disable-libmudflap --disable-libssp \
			--disable-nls \
			--disable-decimal-float \
			--enable-languages=c \
			--with-gmp=$(GMP_HOST_INSTALL_DIR) \
			--with-mpfr=$(MPFR_HOST_INSTALL_DIR) \
			$(HOST_CONFIGURE_OPTIONS) \
        	$(STAGE1_gcc_CONFIGURE_OPTIONS)
	cd $(@D)/gcc-$(gcc_VERSION)-stage1 && \
		PATH=$(BUILD_PATH) \
		$(gcc_MAKE_CMD) all-gcc $(STAGE1_LIBGCC_BUILD_TARGET)
	cd $(@D)/gcc-$(gcc_VERSION)-stage1 && \
		PATH=$(BUILD_PATH) \
		$(gcc_MAKE_CMD) install-gcc $(STAGE1_LIBGCC_INSTALL_TARGET)
	$(call SETUP_CCACHE)
	@touch $(@)

gcc_build_stage3: gmp-toolchain-host-install mpfr-toolchain-host-install gcc-patch $(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_stage3_built
gcc_build_stage2: gmp-toolchain-host-install mpfr-toolchain-host-install gcc-patch $(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_stage2_built
gcc_build_stage1: gmp-toolchain-host-install mpfr-toolchain-host-install gcc-patch $(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_stage1_built

# XXX do not use $(TARGET_BUILD_OPTIONS) here... libiberty builds with 
# build_configargs="--cache-file=../config.cache --build=${build_alias} --host=${build_alias} ..."
# TARGET_BUILD_OPTIONS could pass -mcpu/-march etc to our host compiler.
$(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configured gcc $(gcc_VERSION) for the target)
	@if [ -d $(@D)/gcc-$(gcc_VERSION)-rfs-build ]; then rm -rf $(@D)/gcc-$(gcc_VERSION)-rfs-build;fi
	@mkdir -p $(@D)/gcc-$(gcc_VERSION)-rfs-build
	cd $(@D)/gcc-$(gcc_VERSION)-rfs-build && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(@D)/gcc-$(gcc_VERSION)/configure \
			--target=$(TSWO_FULL_TARGET_NAME) \
			--host=$(TSWO_FULL_TARGET_NAME) \
			--build=$(TSWO_BUILD_NAME) \
        	--prefix=/usr \
			--enable-languages=$(TSWO_COMPILER_LANGUAGES) \
			--disable-libstdcxx-pch \
			--with-gnu-ld --with-gnu-as \
        	$(gcc_CONFIGURE_OPTIONS) \
			$(TARGET_CONFIGURE_OPTIONS)
	@touch $@
$(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gcc $(gcc_VERSION) for the target)
	cd $(@D)/gcc-$(gcc_VERSION)-rfs-build && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(gcc_MAKE_CMD) $(gcc_BUILD_OPTIONS)
	@touch $@
$(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gcc $(gcc_VERSION) to the RFS)
	cd $(@D)/gcc-$(gcc_VERSION)-rfs-build && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(gcc_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install
	@touch $@
$(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_host_installed:
	@touch $@
$(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_packaged:
	cd $(@D)/gcc-$(gcc_VERSION)-rfs-build && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(gcc_MAKE_CMD) DESTDIR=$(gcc_PKG_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_libgcc_rfs_installed:
	$(call PRINT_INFO,installing libgcc $(gcc_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/{lib,usr/lib}
	cp -fP $(@D)/gcc-$(gcc_VERSION)-rfs-build/gcc/libgcc_s* $(TSWO_RFS_INSTALL_DIR)/lib/
ifeq (y,$(TSWO_gcc_BUILD_CXX))
	if [ -f $(@D)/gcc-$(gcc_VERSION)-rfs-build/$(TSWO_FULL_TARGET_NAME)/libstdc++*/src/.libs/libstdc++.so ]; then \
		cp -fP $(@D)/gcc-$(gcc_VERSION)-rfs-build/$(TSWO_FULL_TARGET_NAME)/libstdc++*/src/.libs/libstdc++.so* $(TSWO_RFS_INSTALL_DIR)/usr/lib/; \
	fi
	if [ -f $(@D)/gcc-$(gcc_VERSION)-rfs-build/$(TSWO_FULL_TARGET_NAME)/libstdc++*/src/.libs/libstdc++.a ]; then \
		cp -fP $(@D)/gcc-$(gcc_VERSION)-rfs-build/$(TSWO_FULL_TARGET_NAME)/libstdc++*/src/.libs/libstdc++.a $(TSWO_RFS_INSTALL_DIR)/usr/lib/; \
	fi
endif
	@touch $@
$(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_libgcc_binary_rfs_installed:
	$(call PRINT_INFO,installing libgcc $(gcc_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)/{lib,usr/lib}
	@mkdir -p $(@D)
	cp -fP $(BINARY_TOOLCHAIN_COPY_DIR)/libgcc/libgcc_s* $(TSWO_RFS_INSTALL_DIR)/lib/
ifeq (y,$(TSWO_gcc_BUILD_CXX))
	cp -fP $(BINARY_TOOLCHAIN_COPY_DIR)/libgcc/libstdc++* $(TSWO_RFS_INSTALL_DIR)/usr/lib/
endif
	@touch $@

libgcc_PKG_INSTALL_DIR=$(PACKAGE_DIR)/libgcc_install
libgcc_BUILDNUM=1
libgcc_PKG_NAME=$(PACKAGE_DIR)/libgcc-$(gcc_VERSION)-$(TSWO_FULL_TARGET_NAME)-$(libgcc_BUILDNUM).tgz
$(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_libgcc_packaged:
	$(call PRINT_INFO,packaging libgcc $(gcc_VERSION))
	@mkdir -p $(libgcc_PKG_INSTALL_DIR)/{lib,usr/lib}
	cp -fP $(@D)/gcc-$(gcc_VERSION)-rfs-build/gcc/libgcc_s* $(libgcc_PKG_INSTALL_DIR)/lib/
ifeq (y,$(TSWO_gcc_BUILD_CXX))
	if [ -f $(@D)/gcc-$(gcc_VERSION)-rfs-build/$(TSWO_FULL_TARGET_NAME)/libstdc++*/src/.libs/libstdc++.so ]; then \
		cp -fP $(@D)/gcc-$(gcc_VERSION)-rfs-build/$(TSWO_FULL_TARGET_NAME)/libstdc++*/src/.libs/libstdc++.so* $(libgcc_PKG_INSTALL_DIR)/usr/lib/; \
	fi
	if [ -f $(@D)/gcc-$(gcc_VERSION)-rfs-build/$(TSWO_FULL_TARGET_NAME)/libstdc++*/src/.libs/libstdc++.a ]; then \
		cp -fP $(@D)/gcc-$(gcc_VERSION)-rfs-build/$(TSWO_FULL_TARGET_NAME)/libstdc++*/src/.libs/libstdc++.a $(libgcc_PKG_INSTALL_DIR)/usr/lib/; \
	fi
endif
	$(call CREATE_PACKAGE, libgcc,$(libgcc_PKG_INSTALL_DIR),$(libgcc_PKG_NAME),$(gcc_VERSION),$(libgcc_BUILDNUM),$(gcc_RUNTIME_DEPENDS))
	@rm -rf $(libgcc_PKG_INSTALL_DIR)
	@touch $@
$(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_libgcc_binary_packaged:
	$(call PRINT_INFO,packaging libgcc $(gcc_VERSION))
	@mkdir -p $(libgcc_PKG_INSTALL_DIR)/{lib,usr/lib}
	@mkdir -p $(@D)
	cp -fP $(BINARY_TOOLCHAIN_COPY_DIR)/libgcc/libgcc_s* $(libgcc_PKG_INSTALL_DIR)/lib/
ifeq (y,$(TSWO_gcc_BUILD_CXX))
	cp -fP $(BINARY_TOOLCHAIN_COPY_DIR)/libgcc/libstdc++* $(libgcc_PKG_INSTALL_DIR)/usr/lib/
endif
	$(call CREATE_PACKAGE, libgcc,$(libgcc_PKG_INSTALL_DIR),$(libgcc_PKG_NAME),$(gcc_VERSION),$(libgcc_BUILDNUM),$(gcc_RUNTIME_DEPENDS))
	@rm -rf $(libgcc_PKG_INSTALL_DIR)
	@touch $@

ifneq (y,$(TSWO_TC_FETCH))
libgcc-fetch: gcc-fetch
libgcc-unpack: libgcc-fetch $(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_unpacked
libgcc-patch: libgcc-unpack $(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_patched
libgcc-configure: gmp-host-install mpfr-host-install libgcc-patch $(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_configured
libgcc-build: libgcc-configure $(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_built
libgcc-check:
# we do not need to install gmp and mpfr into the RFS
# libgcc-rfs-install: gmp-rfs-install mpfr-rfs-install libgcc-build $(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_libgcc_rfs_installed

ifeq (y,$(TSWO_RFS_NO_LIBC_INSTALL))
libgcc-rfs-install:
else
libgcc-rfs-install: libgcc-build $(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_libgcc_rfs_installed
endif

libgcc-host-install:
libgcc-package: gmp-package mpfr-package libgcc-build $(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_libgcc_packaged
libgcc-clean:
libgcc-distclean:
else
libgcc-fetch: fetch_toolchain
libgcc-unpack: libgcc-fetch archive_pristine_toolchain_libs
libgcc-patch: libgcc-unpack
libgcc-configure: libgcc-patch
libgcc-build: libgcc-configure
libgcc-check: libgcc-build
ifeq (y,$(TSWO_RFS_NO_LIBC_INSTALL))
libgcc-rfs-install:
else
libgcc-rfs-install: libgcc-build $(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_libgcc_binary_rfs_installed
endif
libgcc-host-install: libgcc-build
libgcc-package: libgcc-build $(BUILD_DIR)/gcc-$(gcc_VERSION)/.stamp_libgcc_binary_packaged
libgcc-clean:
libgcc-distclean:
endif

# if the toolchain is to be added to the target
ifeq (y,$(TSWO_INSTALL_TOOLCHAIN_TO_TARGET))
SOFTWARE+=gcc
else
SOFTWARE+=libgcc
endif

# vim:set noexpandtab: 
