# Copyright (C) 2007-2009 Timesys Corporation
# intltool make rules

# Define common macros for this intltool from include/common.mk
$(eval $(call COMMON_SETUP,intltool))


$(BUILD_DIR)/intltool-$(intltool_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring intltool $(intltool_VERSION) for the host)
	cd $(intltool_DDIR) && \
		$(HOST_BUILD_OPTIONS) \
		$(intltool_BUILD_OPTIONS) \
		./configure \
        	--prefix=$(TSWO_HOST_INSTALL_DIR) \
			$(HOST_CONFIGURE_OPTIONS) \
			$(intltool_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/intltool-$(intltool_VERSION)/.stamp_pre_packaged:
	@touch $@
$(BUILD_DIR)/intltool-$(intltool_VERSION)/.stamp_packaged:
	@touch $@
$(BUILD_DIR)/intltool-$(intltool_VERSION)/.stamp_post_packaged:
	@touch $@

$(BUILD_DIR)/intltool-$(intltool_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing intltool to the host)
	@cd $(intltool_DDIR) && \
		$(HOST_BUILD_OPTIONS) \
		$(intltool_MAKE_CMD) install
	@touch $@

$(BUILD_DIR)/intltool-$(intltool_VERSION)/.stamp_rfs_installed:
	@touch $@

# add to toolchain list
ifeq (y,$(TSWO_HOSTTOOL_intltool))
HOST_UTILITIES+=intltool
endif


# vim:set noexpandtab: 
