# Copyright (C) 2007-2009 Timesys Corporation
# vim:set noexpandtab: 

$(eval $(call COMMON_SETUP,glibc))

ifeq ($(TSWO_GLIBC_PORTS),y)
glibc_FILES+=glibc-ports-$(glibc_VERSION).tar.gz

$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_ports_add_on:
	$(call PRINT_INFO,adding glibc ports)
	@cd $(@D)/glibc-$(glibc_VERSION) && \
		$(TAR) --no-same-owner -xzf $(glibc_SRC_DL_DIR)/glibc-ports-$(glibc_VERSION).tar.gz && \
		mv glibc-ports-$(glibc_VERSION) ports
	@touch $@
glibc-ports-addon: glibc-fetch $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_ports_add_on
glibc-unpack: glibc-ports-addon
endif


# if we need to rewrite the host libc.so file for the host path
#@$(SED) -i -r -e "s,/usr/lib,.," -e "s,/lib/,./,g" $(TSWO_HOST_INSTALL_DIR)/lib/libc.so
$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_stage2_built:
	$(call PRINT_INFO,building glibc stage2)
	@mkdir -p $(@D)/glibc-$(glibc_VERSION)-build
	cd $(@D)/glibc-$(glibc_VERSION)-build && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(glibc_BUILD_OPTIONS) \
		$(@D)/glibc-$(glibc_VERSION)/configure \
			--target=$(TSWO_FULL_TARGET_NAME) \
			--host=$(TSWO_FULL_TARGET_NAME) \
			--build=$(TSWO_BUILD_NAME) \
			--prefix=/usr \
			--with-headers=$(TSWO_HOST_INSTALL_DIR)/usr/include \
			--disable-profile --without-gd --without-cvs --enable-add-ons \
			$(glibc_CONFIGURE_OPTIONS)
	cd $(@D)/glibc-$(glibc_VERSION)-build && \
		PATH=$(BUILD_PATH) \
		$(glibc_MAKE_CMD)
	cd $(@D)/glibc-$(glibc_VERSION)-build && \
		PATH=$(BUILD_PATH) \
		$(glibc_MAKE_CMD) install install_root=$(TSWO_HOST_INSTALL_DIR)
	@touch $(@)

$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_stage1_built:
	$(call PRINT_INFO,building glibc stage1)
	@if [ -d $(BUILD_DIR)/glibc-headers ]; then rm -rf $(BUILD_DIR)/glibc-headers;fi
	@mkdir $(BUILD_DIR)/glibc-headers
	@(if [ ! -d $(TSWO_HOST_INSTALL_DIR)/usr ];then cd $(TSWO_HOST_INSTALL_DIR) && ln -s . usr;fi)
	cd $(BUILD_DIR)/glibc-headers && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(glibc_BUILD_OPTIONS) \
		$(@D)/glibc-$(glibc_VERSION)/configure \
			--target=$(TSWO_FULL_TARGET_NAME) \
			--host=$(TSWO_FULL_TARGET_NAME) \
			--build=$(TSWO_BUILD_NAME) \
			--prefix=/usr \
			--with-headers=$(TSWO_HOST_INSTALL_DIR)/usr/include \
			--disable-profile --without-gd --without-cvs --enable-add-ons
	cd $(BUILD_DIR)/glibc-headers && \
		PATH=$(BUILD_PATH) \
		$(glibc_MAKE_CMD) csu/subdir_lib $(glibc_BUILD_OPTIONS) && \
		cp csu/crt1.o csu/crti.o csu/crtn.o $(TSWO_HOST_INSTALL_DIR)/usr/lib
	$(TSWO_HOST_INSTALL_DIR)/bin/$(TSWO_FULL_TARGET_NAME)-gcc -nostdlib -nostartfiles -shared -x c /dev/null \
		-o $(TSWO_HOST_INSTALL_DIR)/usr/lib/libc.so
	cd $(BUILD_DIR)/glibc-headers && \
		PATH=$(BUILD_PATH) \
		$(glibc_MAKE_CMD) install-headers install_root=$(TSWO_HOST_INSTALL_DIR) \
			install-bootstrap-headers=yes
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)/usr/include/{gnu,bits}
	cp $(@D)/glibc-$(glibc_VERSION)/include/gnu/stubs.h $(TSWO_HOST_INSTALL_DIR)/usr/include/gnu/
	cp $(BUILD_DIR)/glibc-headers/bits/stdio_lim.h $(TSWO_HOST_INSTALL_DIR)/usr/include/bits/
	@touch $(@)

$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_host_installed: $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_stage2_built
	@touch $(@)

#@$(SED) -i -r -e "s,/usr/lib,.," -e "s,/lib/,../../,g" $(TSWO_RFS_INSTALL_DIR)/usr/lib/libc.so
$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_rfs_installed: $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_stage2_built
	$(call PRINT_INFO,installing glibc $(glibc_VERSION) to the target)
	cd $(@D)/glibc-$(glibc_VERSION)-build && \
		PATH=$(BUILD_PATH) \
		$(glibc_MAKE_CMD) install install_root=$(TSWO_RFS_INSTALL_DIR)
	rm -f $(TSWO_RFS_INSTALL_DIR)/usr/lib/libc.so
	@touch $(@)

ifeq (y,$(strip $(TSWO_INSTALL_TOOLCHAIN_TO_TARGET)))
$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_libc_so_rfs_installed
endif

$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_libc_so_rfs_installed: $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_rfs_installed
	$(call PRINT_INFO,installing libc.so script to the target)
	cd $(@D)/glibc-$(glibc_VERSION)-build && \
		PATH=$(BUILD_PATH) \
		$(glibc_MAKE_CMD) $(TSWO_RFS_INSTALL_DIR)/usr/lib/libc.so install_root=$(TSWO_RFS_INSTALL_DIR)
	@touch $@

$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_packaged: $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_stage2_built
	$(call PRINT_INFO,packaging glibc $(glibc_VERSION))
	cd $(@D)/glibc-$(glibc_VERSION)-build && \
		PATH=$(BUILD_PATH) \
		$(glibc_MAKE_CMD) install install_root=$(glibc_PKG_INSTALL_DIR)
	@touch $@

ifeq (y,$(strip $(TSWO_gcc_REQUIRES_PRECONFIGURE_HEADERS)))
$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_preconfigured:
	@(if [ ! -d $(TSWO_HOST_INSTALL_DIR)/usr ];then cd $(TSWO_HOST_INSTALL_DIR) && ln -s . usr;fi)
	@mkdir -p $(@D)/preconfigure
	cd $(@D)/preconfigure && \
		$(@D)/glibc-$(glibc_VERSION)/configure \
			--target=$(TSWO_FULL_TARGET_NAME) \
			--host=$(TSWO_FULL_TARGET_NAME) \
			--build=$(TSWO_BUILD_NAME) \
			--prefix=/usr \
			--with-headers=$(TSWO_HOST_INSTALL_DIR)/usr/include \
			--disable-profile --without-gd --without-cvs --enable-add-ons
	cd $(@D)/preconfigure && \
		$(glibc_MAKE_CMD) install-headers install_root=$(TSWO_HOST_INSTALL_DIR) \
			install-bootstrap-headers=yes
	@mkdir -p $(TSWO_HOST_INSTALL_DIR)/usr/include/{gnu,bits}
	cp $(@D)/glibc-$(glibc_VERSION)/include/gnu/stubs.h $(TSWO_HOST_INSTALL_DIR)/usr/include/gnu/
	cp $(@D)/preconfigure/bits/stdio_lim.h $(TSWO_HOST_INSTALL_DIR)/usr/include/bits/
	@touch $(@)
else
$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_preconfigured:
	@touch $(@)
endif

$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_configured:
	@touch $(@)

$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_built:
	@touch $(@)

$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_rfs_installed
	@touch $@

# after stage2, host install we cleanup the target binaries added to our host toolchain
$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_post_host_installed: $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_host_installed $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_stage2_built
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{gencat,getconf,getent,iconv,locale,localedef,rpcgen,sprof,pcprofiledump}
	@rm -f $(TSWO_HOST_INSTALL_DIR)/sbin/{sln,zdump,zic,iconvconfig,nscd,ldconfig,rpcinfo}
	@touch $@

# install the libc from a binary toolchain
$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_binary_rfs_installed:
	$(call PRINT_INFO,installing glibc $(glibc_VERSION) to the target)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/{lib,usr/lib}
	@mkdir -p $(@D)
	cp -frP $(BINARY_TOOLCHAIN_COPY_DIR)/libc/* $(TSWO_RFS_INSTALL_DIR)/lib/
	mv -f $(TSWO_RFS_INSTALL_DIR)/lib/libc.so $(TSWO_RFS_INSTALL_DIR)/usr/lib/
ifneq (y,$(strip $(TSWO_INSTALL_TOOLCHAIN_TO_TARGET)))
	rm -f $(TSWO_RFS_INSTALL_DIR)/usr/lib/libc.so
endif
	@touch $@
$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_post_binary_rfs_installed:
	@touch $@
$(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_binary_packaged:
	$(call PRINT_INFO,packaging glibc $(glibc_VERSION))
	mkdir -p $(glibc_PKG_INSTALL_DIR)/{lib,usr/lib}
	@mkdir -p $(@D)
	cp -frP $(BINARY_TOOLCHAIN_COPY_DIR)/libc/* $(glibc_PKG_INSTALL_DIR)/lib/
	mv -f $(glibc_PKG_INSTALL_DIR)/lib/libc.so $(glibc_PKG_INSTALL_DIR)/usr/lib/
	$(call CREATE_PACKAGE, glibc,$(glibc_PKG_INSTALL_DIR),$(glibc_PKG_NAME),$(glibc_VERSION),$(glibc_BUILDNUM),$(glibc_RUNTIME_DEPENDS))
	@rm -rf $(glibc_PKG_INSTALL_DIR)
	@touch $@

glibc-rfs-install: glibc-patch $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_rfs_installed $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_post_rfs_installed
glibc-host-install: glibc-patch $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_host_installed $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_post_host_installed
glibc-binary-rfs-install: archive_pristine_toolchain_libs $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_binary_rfs_installed $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_post_binary_rfs_installed
glibc-binary-package: $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_binary_packaged

glibc_build_stage2: glibc-patch $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_stage2_built $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_post_host_installed
glibc_build_stage1: glibc-patch $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_stage1_built
glibc_preconfigure: glibc-patch $(BUILD_DIR)/glibc-$(glibc_VERSION)/.stamp_preconfigured

