# Copyright (C) 2007-2009 Timesys Corporation
# pkgconfig rules

# Define common macros for this pkgconfig from include/common.mk
$(eval $(call COMMON_SETUP,pkgconfig))

# XXX need to revisit for target version (if needed at all???)

# build it for the host
$(BUILD_DIR)/pkgconfig-$(pkgconfig_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring pkgconfig $(pkgconfig_VERSION) for the host)
	cd $(pkgconfig_DDIR) && \
		$(HOST_BUILD_OPTIONS) \
		$(pkgconfig_BUILD_OPTIONS) \
		./configure \
        	--prefix=$(TSWO_HOST_INSTALL_DIR) \
        	--exec-prefix=/usr \
        	--sysconfdir=/etc \
			--bindir=/usr/bin \
			--sbindir=/usr/sbin \
			--libdir=/lib \
			--libexecdir=/usr/lib \
			--sysconfdir=/etc \
			--datadir=/usr/share \
			--localstatedir=/var \
			--mandir=/usr/share/man \
			--infodir=/usr/share/info \
			--includedir=/usr/include \
			$(HOST_CONFIGURE_OPTIONS) \
			$(pkgconfig_CONFIGURE_OPTIONS)
	@touch $@

$(BUILD_DIR)/pkgconfig-$(pkgconfig_VERSION)/.stamp_built:
	$(call PRINT_INFO,building pkgconfig $(pkgconfig_VERSION))
	cd $(pkgconfig_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(pkgconfig_MAKE_CMD) \
		$(HOST_BUILD_OPTIONS) \
        $(pkgconfig_BUILD_OPTIONS)
	@touch $@

PKGCONFIG_HOST_BIN=$(TSWO_HOST_INSTALL_DIR)/usr/bin/pkg-config

$(BUILD_DIR)/pkgconfig-$(pkgconfig_VERSION)/.stamp_post_host_installed:
	@mv $(PKGCONFIG_HOST_BIN) $(PKGCONFIG_HOST_BIN).real
	@echo '#!/bin/sh' \
		> $(PKGCONFIG_HOST_BIN)
	@echo 'CMD=$$0' \
		>> $(PKGCONFIG_HOST_BIN)
	@echo 'BASE=$$(dirname $$CMD)' \
		>> $(PKGCONFIG_HOST_BIN)
	@echo 'PKG_CONFIG_LIBDIR=$$BASE/../lib' \
		>> $(PKGCONFIG_HOST_BIN)
	@echo 'PKG_CONFIG_PATH=$$BASE/../lib/pkgconfig:$$BASE/../usr/lib/pkgconfig:$$BASE/../share/pkgconfig:$$BASE/../usr/share/pkgconfig' \
		>> $(PKGCONFIG_HOST_BIN)
	@echo 'export PKG_CONFIG_LIBDIR PKG_CONFIG_PATH' \
		>> $(PKGCONFIG_HOST_BIN)
	@echo '$${CMD}.real $$*' \
		>> $(PKGCONFIG_HOST_BIN)
	@chmod +x $(PKGCONFIG_HOST_BIN) $(PKGCONFIG_HOST_BIN).real
	@cd $(TSWO_HOST_INSTALL_DIR)/usr/bin && cp pkg-config.real $(TARGET_CROSS_PREFIX)pkg-config.real
	@cd $(TSWO_HOST_INSTALL_DIR)/usr/bin && cp pkg-config $(TARGET_CROSS_PREFIX)pkg-config
	@touch $@

$(BUILD_DIR)/pkgconfig-$(pkgconfig_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing pkgconfig $(pkgconfig_VERSION) to the host)
	cd $(pkgconfig_DDIR) && \
		$(pkgconfig_MAKE_CMD) DESTDIR=$(TSWO_HOST_INSTALL_DIR) install
	@touch $@

$(BUILD_DIR)/pkgconfig-$(pkgconfig_VERSION)/.stamp_pre_packaged:
	@touch $@
$(BUILD_DIR)/pkgconfig-$(pkgconfig_VERSION)/.stamp_packaged:
	@touch $@
$(BUILD_DIR)/pkgconfig-$(pkgconfig_VERSION)/.stamp_post_packaged:
	@touch $@
$(BUILD_DIR)/pkgconfig-$(pkgconfig_VERSION)/.stamp_rfs_installed:
	@touch $@

# add to software list
# this needs wchar and locale
ifeq (y,$(TSWO_HOSTTOOL_pkgconfig))
HOST_UTILITIES+=pkgconfig
endif


# vim:set noexpandtab: 
