# Copyright (C) 2007-2009 Timesys Corporation

.PHONY: toolchain_xml timestorm-register-toolchain

$(TSWO_HOST_INSTALL_DIR)/toolchain.xml:
	$(call PRINT_INFO,Generating toolchain.xml file)
	@echo "<toolchains>" > $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "<toolchain name='GCC $(gcc_VERSION) $(TSWO_FULL_TARGET_NAME)-' id='$(TSWO_FULL_TARGET_NAME)-gcc-$(gcc_VERSION)' path='$(TSWO_HOST_INSTALL_DIR)/bin'>" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "<shortdesc>Toolchain for $(subst ",,$(TSWO_BOARD)) development.</shortdesc>" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "<longdesc>Toolchain for $(subst ",,$(TSWO_BOARD)) development.</longdesc>" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "<tools>" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "<tool type='AR' path='' name='$(TSWO_FULL_TARGET_NAME)-ar' />" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "<tool type='AS' path='' name='$(TSWO_FULL_TARGET_NAME)-as' />" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "<tool type='CC' path='' name='$(TSWO_FULL_TARGET_NAME)-gcc' />" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
ifeq (y,$(TSWO_gcc_BUILD_CXX))
	@echo "<tool type='CXX' path='' name='$(TSWO_FULL_TARGET_NAME)-g++' />" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
endif
	@echo "<tool type='CPP' path='' name='$(TSWO_FULL_TARGET_NAME)-cpp' />" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "<tool type='LD' path='' name='$(TSWO_FULL_TARGET_NAME)-ld' />" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "<tool type='NM' path='' name='$(TSWO_FULL_TARGET_NAME)-nm' />" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "<tool type='RANLIB' path='' name='$(TSWO_FULL_TARGET_NAME)-ranlib' />" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "<tool type='OBJCOPY' path='' name='$(TSWO_FULL_TARGET_NAME)-objcopy' />" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "<tool type='OBJDUMP' path='' name='$(TSWO_FULL_TARGET_NAME)-objdump' />" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "<tool type='STRIP' path='' name='$(TSWO_FULL_TARGET_NAME)-strip' />" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
ifeq (y,$(TSWO_GDB))
	@echo "<tool type='DEBUGGER' path='' name='$(TSWO_FULL_TARGET_NAME)-gdb' />" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
endif
	@echo "</tools>" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "</toolchain>" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	@echo "</toolchains>" >> $(TSWO_HOST_INSTALL_DIR)/toolchain.xml

toolchain_xml: $(TSWO_HOST_INSTALL_DIR)/toolchain.xml $(BUILD_DIR)/.stamp_timestorm_register_toolchain
timestorm-register-toolchain: $(BUILD_DIR)/.stamp_timestorm_register_toolchain

$(BUILD_DIR)/.stamp_timestorm_register_toolchain: $(TSWO_HOST_INSTALL_DIR)/toolchain.xml
	-@$(BASE_DIR)/bin/timestorm_register_toolchain.sh
	@touch $@

# vim:set noexpandtab filetype=make: 
