# Copyright (C) 2007-2009 Timesys Corporation
# tsrpm rules

# Define common macros for tsrpm from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,tsrpm))


$(BUILD_DIR)/tsrpm-$(tsrpm_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/tsrpm-$(tsrpm_VERSION)/.stamp_built:
	$(call PRINT_INFO,building tsrpm $(tsrpm_VERSION))
	cd $(tsrpm_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(tsrpm_BUILD_OPTIONS) \
		$(tsrpm_MAKE_CMD) files= rpm_files=
	@touch $@

$(BUILD_DIR)/tsrpm-$(tsrpm_VERSION)/.stamp_host_installed:
	$(call PRINT_INFO,installing tsrpm $(tsrpm_VERSION) to the RFS)
	cd $(tsrpm_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(tsrpm_BUILD_OPTIONS) \
			$(FAKEROOT_CMD) $(tsrpm_MAKE_CMD) prefix=$(TSWO_HOST_INSTALL_DIR) install \
				files= rpm_files= man1dir=$(TSWO_HOST_INSTALL_DIR)/usr/share/man/man1 \
				man5dir=$(TSWO_HOST_INSTALL_DIR)/usr/share/man/man5
	@touch $@

$(BUILD_DIR)/tsrpm-$(tsrpm_VERSION)/.stamp_rfs_installed:
	@touch $@

$(BUILD_DIR)/tsrpm-$(tsrpm_VERSION)/.stamp_packaged:
	@touch $@
$(BUILD_DIR)/tsrpm-$(tsrpm_VERSION)/.stamp_pre_packaged:
	@touch $@
$(BUILD_DIR)/tsrpm-$(tsrpm_VERSION)/.stamp_post_packaged:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_HOSTTOOL_tsrpm))
HOST_UTILITIES+=tsrpm
endif


# vim:set noexpandtab filetype=make: 
